&emsp;&emsp;**EasyApps 易景多维态势可视化平台**，所有版权归[**北京集思创源科技有限公司**](http://www.gisspring.com "北京集思创源科技有限公司")，以“易得、易用、易享”为目标，集态势可视化应用设计、运行、管理于一体，从页面布局、组件展示、事件交互、页面共享等维度，提供向导型、拖拽式操控体验，从而实现数据态势可视化应用搭建简便易行。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_b678c9f4f6fb3fcd6c58c79be7d60347_r.png" width="800" ></div>
&emsp;&emsp;

&emsp;&emsp;系统地址：[http://cloud.gisspring.com/easyapps](http://cloud.gisspring.com/easyapps)【建议选用谷歌chrome浏览器】

## 产品版本

&emsp;&emsp;当前版本：**2.0.0**

## 产品特点

&emsp;&emsp;- 提供丰富图表表达：提供用于展示业务的饼图、柱状图、折线图、地图等基本图表，并组合配套标题、数值卡片、轮播列表、轮播图片等数十种组件，满足多场景数据展示需求；

&emsp;&emsp;- 支持多源数据接入：支持本地 json、CSV 文件、在线 API 服务，以及 MySQL、Oracle 、PostgreSql数据库连接等多种数据源接入，满足各类大数据实时监控、分析需求；

&emsp;&emsp;- 多分辨率终端适应：提供常规多种应用尺寸的标准化模板，用户也可以根据实际应用需求，自定义设置应用模板尺寸，能够灵活适应手机、平板、大屏等不同终端设备的展示需求；

&emsp;&emsp;- 与孪生场景无缝融合：提供三维地图组件，支持EasyGlobe孪生场景文件一键导入，全方位、多维度融合EasyGlobe提供的场景环境、地理图层、三维模型以及交互组件等内容。

## 操作流程

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_e8d20ef42a054f0251f4c41d0bb87e5e_r.png" width="800" ></div>
&emsp;&emsp;

&emsp;&emsp;1. 用户可选择自有数据或者样板实例，开启自助“页面搭建”之旅;[【操作说明】](/wiki/docs/easyAppsManual/import "加载数据")&emsp;&emsp;

&emsp;&emsp;2. 用户配置页面相关属性，若需要可使用装饰组件优化页面样式;[【操作说明】](/wiki/docs/easyAppsManual/create_page "加载数据")

&emsp;&emsp;3. 添加组件，用户根据需求，可添加图表、装饰、地图、文本、地球组件等，并配置关联参数；若需要，可打开预览模式查看页面效果;[【操作说明】](/wiki/docs/easyAppsManual/easyAppsManual-1ducl90j0fqi0 "加载数据")

&emsp;&emsp;4. 添加交互，用户根据需求，可添加数据、转化器等，并配置与其关联组件的属性参数和触发逻辑，若需要，可打开预览模式查看页面交互；[【操作说明】](/wiki/docs/easyAppsManual/easyAppsManual-jiaohushitu "【操作说明】")

&emsp;&emsp;5. 分享页面，支持页面预览与导出本地文件。[【操作说明】 ](/wiki/docs/easyAppsManual/easyAppsManual-1ducl9jff473g "加载数据")若有页面离线部署需求，则可保存和生成页面，并下载。