## 概念说明
- **设计页面**，指创建一个新页面，配置相关组件，完成页面的设计。

## 操作步骤

### 1.标题

- 点击组件/图层区“组件”按钮，选择左侧装饰菜单，点击标题栏分类，然后找到全标题栏组件，拖拽组件到画布中，使用配置面板区配置属性。

组件配置详情：详细参看[【操作说明】](/wiki/docs/easyAppsManual/easyAppsManual-1ducliisj8j7k "【操作说明】")

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_75f536995ad8599c4894d8fe89b7541c_r.png" width="800" ></div>
&emsp;&emsp;

- 点击组件/图层区“组件”按钮，选择左侧文本菜单，点击文本分类，然后找到通用标题组件，拖拽组件到画布中，使用配置面板区配置属性与样式。

组件配置详情：详细参看[【操作说明】](/wiki/docs/easyAppsManual/easyAppsManual-1duclvifeaajs "【操作说明】")

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_579ae0907f06c48e2c4bd4b545c68222_r.png" width="800" ></div>
&emsp;&emsp;

### 2.图表

- 点击组件/图层区“组件”按钮，选择左侧图表菜单，点击柱状图分类，然后找到条形图组件，拖拽组件到画布中，使用配置面板区配置属性与数据。

组件配置详情：详细参看[【操作说明】](/wiki/docs/easyAppsManual/easyAppsManual-1ducleummjm8g "【操作说明】")

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_1f390f948ba72a8fce51e10fd4aa97ac_r.png" width="800" ></div>
&emsp;&emsp;

- 重复此步骤，添加其他图表组件。
其他图表配置详情：详细参看[【操作说明】](/wiki/docs/easyAppsManual/easyAppsManual-1duclco8oadrc "【操作说明】")

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_092ba433b728471197f0545cb53454b4_r.png" width="800" ></div>
&emsp;&emsp;

### 3.文本

- 点击组件/图层区“组件”按钮，选择左侧文本菜单，点击列表分类，然后找到轮播列表组件，拖拽组件到画布中，使用配置面板区配置属性与数据。

组件配置详情：详细参看[【操作说明】](/wiki/docs/easyAppsManual/easyAppsManual-1duclvcqrf5vs "【操作说明】")

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_d9e19be84fa13a6235cd67db0290fa74_r.png" width="800" ></div>
&emsp;&emsp;

### 4.地图

- 点击组件/图层区“组件”按钮，选择左侧地图菜单，点击地图分类，然后找到世界地图组件，拖拽组件到画布中，使用配置面板区配置属性与数据。

组件配置详情：详细参看[【操作说明】](/wiki/docs/easyAppsManual/easyAppsManual-1ducln0i64fj4 "【操作说明】")

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_088bb6be092699f8e8a860aaba2dd679_r.png" width="800" ></div>
&emsp;&emsp;

### 5.装饰

- 点击组件/图层区“组件”按钮，选择左侧装饰菜单，选择需要的边框、媒体等组件，拖拽组件到画布中装饰页面，使用配置面板区配置属性与数据。

装饰组件配置详情：详细参看[【操作说明】](/wiki/docs/easyAppsManual/easyAppsManual-1duclhoelegjk "【操作说明】")

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_30ad2c0c98517b3450dcc7fb1b442f8f_r.png" width="800" ></div>
&emsp;&emsp;