## 概念说明
- **组件操作**，指页面组件的操作功能，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_03e8d5dd683462ddccbf3ec819788e72_r.png" width="1000" ></div>


## 操作步骤

### 回退
系统会记录每一步的操作流程。点击回退按钮，可以基于操作记录返回上一步操作。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_60450b769e0117d8441567e889c00b8e_r.png" width="800" ></div>


### 前进
系统会记录每一步的操作流程。如果当前操作在操作记录中，点击前进按钮，会基于当前操作记录定位进行下一步操作。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_2afb9e5fb584ceb3f0684eecfbab60df_r.png" width="800" ></div>


### 全选/反选
点击全选/反选按钮，可选中/取消全中所有组件，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_d90073453e43c0bc0e8fdf5df718555d_r.png" width="800" ></div>

### 复制
选中组件后，点击复制按钮，可复制当前选中组件，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_672fd722ff2de580e966528bf1d2ce19_r.png" width="800" ></div>

### 格式刷
选中组件点击格式刷，在点击需要同步样式的组件点击格式刷，可将此组件样式同步，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_b8fe3b99f4ef68e00e70f46f92b86527_r.png" width="800" ></div>
&emsp;&emsp;
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_cb411ff0aeed0523dea601e04d038ae6_r.png" width="800" ></div>

### 删除
选中组件后，点击删除按钮，确认后可删除当前选中组件，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_98e2563df4c63f741616bae819c04ec5_r.png" width="800" ></div>
&emsp;&emsp;
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_29bd82c2e73f9d1e20c263e94761af72_r.png" width="800" ></div>

### 锁定
选中组件后，点击锁定按钮，可锁定当前选中组件，锁定后无法操作与修改属性，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_101a73791bb13ecf394ab9564a636e12_r.png" width="800" ></div>

### 解锁
从图层中选中已锁定组件，点击解锁按钮，可解锁当前选中组件，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_9432d8149c627aeb9874a2d8630d49cd_r.png" width="800" ></div>

### 隐藏
选中组件后，点击隐藏按钮，可隐藏当前选中组件，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_ee2420fee344acc78a85b4c11bb90d94_r.png" width="800" ></div>

### 显示
从图层中选中已隐藏组件，点击显示按钮，可显示当前选中组件，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_cfbfb9ef2273fcb19b4f3e387d90a27f_r.png" width="800" ></div>

### 图层置顶
选中组件后，点击图层置顶按钮，可将当前选中组件在图层中置顶，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_2b1d5deebbaf5c80473fb87ca0df6f3c_r.png" width="800" ></div>

### 图层上移
选中组件后，点击图层上移按钮，可将当前选中组件在图层中上移一位，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_dc1ea9c5e1d094aaf40b4dfb74b61563_r.png" width="800" ></div>

### 图层下移
选中组件后，点击图层下移按钮，可将当前选中组件在图层中下移一位，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_2152a2947203abc4aa9d58a447a6f842_r.png" width="800" ></div>

### 图层置底
选中组件后，点击图层置底按钮，可将当前选中组件在图层中置底，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_f1b44e218d89a30c7e7dd8d9be0cf65b_r.png" width="800" ></div>

### 组合
按住键盘ctrl键选中多个组件后，点击组合按钮，可将当前选中的多个组件组合，组合后可同步操作，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_3515e14377a81967c2bdfca10255b7b1_r.png" width="800" ></div>

### 拆分
从图层中选中组合，点击拆分按钮，可将当前选中的组合拆分，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_2e0ae7d64e5651f56a43987cbb48bd0b_r.png" width="800" ></div>

### 左对齐
按住键盘ctrl键选中多个组件后，点击左对齐按钮，可将当前选中的多个组件左对齐，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_5c8e164b0578aa6ce80da49468c30d18_r.png" width="800" ></div>

### 右对齐
按住键盘ctrl键选中多个组件后，点击右对齐按钮，可将当前选中的多个组件右对齐，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_fbad3c8755664e0ac7c7d49f17271d2b_r.png" width="800" ></div>

### 上对齐
按住键盘ctrl键选中多个组件后，点击上对齐按钮，可将当前选中的多个组件上对齐，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_04d9b7fc60b024dfc74a5b5803d546e6_r.png" width="800" ></div>

### 下对齐
按住键盘ctrl键选中多个组件后，点击下对齐按钮，可将当前选中的多个组件下对齐，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_06c5cf8ab9711ebaaf273320caf6b23d_r.png" width="800" ></div>

### 水平居中
按住键盘ctrl键选中多个组件后，点击水平居中按钮，可将当前选中的多个组件水平居中，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_b333770182bbba76e18516028aebaad7_r.png" width="800" ></div>

### 垂直居中
按住键盘ctrl键选中多个组件后，点击垂直居中按钮，可将当前选中的多个组件垂直居中，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_d67508d63e289aa1c784ed9717e090da_r.png" width="800" ></div>

### 水平分布
按住键盘ctrl键选中多个组件后，点击水平分布按钮，可将当前选中的多个组件水平分布，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_3f50ef5508ee8c931739ea5f3a5e9c3e_r.png" width="800" ></div>

### 垂直分布
按住键盘ctrl键选中多个组件后，点击垂直分布按钮，可将当前选中的多个组件垂直分布，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_98ed520ec578b6f9a5375c1cc63629aa_r.png" width="800" ></div>

### 标尺
点击标尺按钮，可控制标尺的显示隐藏
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_097da59e1a38aa4f045d32d74fdd38ad_r.png" width="800" ></div>

### 参考线
点击参考线按钮，可控制参考线的显示隐藏
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_79d33f4779c45900a5dba4daa9a75204_r.png" width="800" ></div>