## 基本概念
- **边框**，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_17a9932cf3eb1728b925bacb2a26109c_r.png" width="400" ></div>

## 属性说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_663b955cf806de867b9d390f673f8eb5_r.png" width="400" ></div>

### 组件名称
设置组件名称，用于在图层中显示组件的名称。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_8b00753f3ff53a7c49eb56d64c0a1413_r.png" width="400" ></div>

### 组件尺寸
设置组件的宽度和高度，单位为 px

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_e91df05734681fe538a2bd42675e2ef1_r.png" width="400" ></div>

### 组件位置
设置组件在大屏中的位置，通过横纵坐标来定义，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_609d7332fba03f455f911a330b7072bf_r.png" width="400" ></div>

### 不透明度
设置组件不透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_46b7d9900528965d248e22f65ad59120_r.png" width="400" ></div>

### 旋转
设置组件在图层中的旋转角度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_242150a36adf8923369be3a23a58c969_r.png" width="400" ></div>

### 背景颜色
设置组件背景颜色。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_1959753d59c7813d7c2a7da2b01a387c_r.png" width="400" ></div>

### 开启渐变
+ 预设颜色：设置默认颜色；
+ 颜色列表：可设置添加多个颜色；
+ 渐进方式：可设置尾线性渐变和径向渐变；
+ 渐变方向：可设置渐变的方向。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_ac805f6d386a7e7952e29d9ff5f811cd_r.png" width="400" ></div>

## 样式说明
### 边框样式
+ 边框颜色：可设置边框的颜色；
+ 边框类型：可设置边框在组件中的以不同类型显示；
+ 边框宽度：可设置边框的宽度；
+ 边框圆角：可设置边框的圆角大小

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_310aff1dfaf3f005a0e9fc434368cb14_r.png" width="400" ></div>

### 阴影
+ 水平位移：可设置在水平方向的上阴影；
+ 垂直位移：可设置在垂直方向的上阴影；
+ 模糊度：可设置适应的模糊度，让阴影更加圆滑；
+ 阴影大小：可设置阴影的大小；
+ 阴影颜色：可设置阴影的颜色。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_6fe0738772f60687d5af7fc79ee72622_r.png" width="400" ></div>

## 交互参数说明
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_57f6331a9d1b20427c89244aea9d56aa_r.png" width="400" ></div>

+ 显示：设置组件显隐。
+ 位置：设置组件位置。
+ 尺寸：设置组件宽高。

## 交互事件说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_7c37348002846d6465564042ffa84a04_r.png" width="400" ></div>

+ 点击事件：组件点击触发。
+ 位置变更：组件位置发生改变后，触发位置变更。
+ 尺寸变更：组件尺寸发生改变后，触发尺寸变更。


## 动画说明
+ 动画名称：可设置名称内容；
+ 触发方式：可设置不同的触发动作触发动画；
+ 动画类型：可选择不同的动画类型触发动画；
+ 动作类型：可选择不同的动作类型触发动画；
+ 运动方式：可选择不同的运动方式触发动画；
+ 延迟播放：可设置延迟动画多长时间后触发动画；
+ 动画时长：可设置动画的运动时间；
+ 重复播放：可设置重复播放的方式；
+ 重复次数：重复播放 方式选择重复后，可设置重复次数，指改动画重复的次数；
+ 运动行为：可选择不同的运动方式；
+ 结束状态：可选择不同结束状态的方式。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_07c85f3ac8c784111905bb6d3e91dcd6_r.png" width="400" ></div>