## 基本概念
+ **轮播图**，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_a529973e354c9d6ffd15d13f7fec30ae_r.png" width="400" ></div>

## 属性说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_131637ded369453f191a05d9238f7445_r.png" width="400" ></div>

### 组件名称
设置组件名称，用于在图层中显示组件的名称。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_190a51fae7c0de3f41226ada62c295a4_r.png" width="400" ></div>

### 组件尺寸
设置组件的宽度和高度，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_977b03be45426663fa0eb9f42483ab18_r.png" width="400" ></div>

### 组件位置
设置组件在大屏中的位置，通过横纵坐标来定义，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_609d7332fba03f455f911a330b7072bf_r.png" width="400" ></div>

### 不透明度
设置组件不透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_46b7d9900528965d248e22f65ad59120_r.png" width="400" ></div>

### 旋转
设置组件在图层中的旋转角度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_242150a36adf8923369be3a23a58c969_r.png" width="400" ></div>

### 上传图片
可实现不同图片拖拽更改轮播位置，点击轮播图还可实现跳转页面

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_6e42119065fae78126033b46d59df230_r.png" width="400" ></div>

### 自动播放
可以选择轮播图是否自动播放。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_b1fcf2d8683ac9d695f3f6f7132c74b8_r.png" width="400" ></div>

### 指示点位置
设置轮播图组件中分页器的位置。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_3e685e56de517f855b5140a417611bf9_r.png" width="400" ></div>

### 指示点颜色
设置轮播图组件中分页器指示点的颜色与透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_bbfe22d0ed2915139841a15ddde1779b_r.png" width="400" ></div>

### 当前颜色
设置轮播图组件中分页器的颜色与透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_569be0db77c566891d24e0f0cc3d56a9_r.png" width="400" ></div>

### 显示分页器
设置分页器是否显示。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_a4bbf469e704f81c26cc469c65d88833_r.png" width="400" ></div>

## 数据说明
数据结构：描述每一个数字字段的名称、映射、数据类型。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_8894fdda89d172c5310479bbb0951c4d_r.png" width="400" ></div>

- 源数据：编辑json格式数据，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_881c23898ccb21eb4d7491633491c38a_r.png" width="400" ></div>


## 交互参数说明
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_4caebc673dfbb06aca7809c43af541fe_r.png" width="400" ></div>

+ 显示：设置组件显隐。
+ 位置：设置组件位置。
+ 尺寸：设置组件宽高。

## 交互事件说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_3a83d7010b05d5ba964ba0b0015fd14a_r.png" width="400" ></div>

+ 点击事件：组件点击触发。
+ 位置变更：组件位置发生改变后，触发位置变更。
+ 尺寸变更：组件尺寸发生改变后，触发尺寸变更。

## 动画说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_07c85f3ac8c784111905bb6d3e91dcd6_r.png" width="400" ></div>

+ 动画名称：可设置名称内容；
+ 触发方式：可设置不同的触发动作触发动画；
+ 动画类型：可选择不同的动画类型触发动画；
+ 动作类型：可选择不同的动作类型触发动画；
+ 运动方式：可选择不同的运动方式触发动画；
+ 延迟播放：可设置延迟动画多长时间后触发动画；
+ 动画时长：可设置动画的运动时间；
+ 重复播放：可设置重复播放的方式；
+ 重复次数：重复播放 方式选择重复后，可设置重复次数，指改动画重复的次数；
+ 运动行为：可选择不同的运动方式；
+ 结束状态：可选择不同结束状态的方式。