## 视频
+ **视频**， 如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_eb76e46ebf292f1c644bef2f5a195e4c_r.png" width="400" ></div>

## 属性说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_60c30ed2bc4b76d5424a131a82c6db40_r.png" width="400" ></div>

### 组件名称
设置组件名称，用于在图层中显示组件的名称。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_5bdef5d45379d7a7e625f6af94cee00b_r.png" width="400" ></div>

### 组件尺寸
设置组件的宽度和高度，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_977b03be45426663fa0eb9f42483ab18_r.png" width="400" ></div>

### 组件位置
设置组件在页面中的位置。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_609d7332fba03f455f911a330b7072bf_r.png" width="400" ></div>

### 不透明度
设置组件不透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_46b7d9900528965d248e22f65ad59120_r.png" width="400" ></div>

### 旋转
设置组件在图层中的旋转角度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_242150a36adf8923369be3a23a58c969_r.png" width="400" ></div>

### 上传视频
设置组件播放视频内容，可上传或输入视频地址。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_6c6a6308a714b56fe7f8f6394d5453ce_r.png" width="400" ></div>

### 播放组件
设置播放组件是否开启。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_1482e4b3ec399288bb5b7b12dc8016c5_r.png" width="400" ></div>

### 自动播放
设置视频是否自动播放。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_379f3d4fe5c8351b37e59753a5e66466_r.png" width="400" ></div>

### 循环播放
设置视频是否循环播放。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_6e8c652110248f5009136fc462b54615_r.png" width="400" ></div>

### 静音播放
设置视频是否静音播放。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_f016183fa100a2630af2f04da00f1208_r.png" width="400" ></div>

## 交互参数说明
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_07e4c8897d348eda33655b6f22210358_r.png" width="400" ></div>

+ 显示：设置组件显隐。
+ 位置：设置组件位置。
+ 尺寸：设置组件宽高。
+ 播放：设置组件播放状态。
+ 暂停:设置组件暂停状态。
+ 重置组件：设置组件视频重新播放。
+ 数据：设置组件数据。

## 交互事件说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_594d60ff530405ac2a84a39d70915f19_r.png" width="400" ></div>

+ 点击事件：组件点击触发。
+ 位置变更：组件位置发生改变后，触发位置变更。
+ 尺寸变更：组件尺寸发生改变后，触发尺寸变更。
+ 双击事件：组件爱你双击事件。

## 动画说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_07c85f3ac8c784111905bb6d3e91dcd6_r.png" width="400" ></div>

+ 动画名称：可设置名称内容；
+ 触发方式：可设置不同的触发动作触发动画；
+ 动画类型：可选择不同的动画类型触发动画；
+ 动作类型：可选择不同的动作类型触发动画；
+ 运动方式：可选择不同的运动方式触发动画；
+ 延迟播放：可设置延迟动画多长时间后触发动画；
+ 动画时长：可设置动画的运动时间；
+ 重复播放：可设置重复播放的方式；
+ 重复次数：重复播放 方式选择重复后，可设置重复次数，指改动画重复的次数；
+ 运动行为：可选择不同的运动方式；
+ 结束状态：可选择不同结束状态的方式。