## 基本概念
- **分割线**，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_ffeb33828c73234c12a3f57d00c3875b_r.png" width="400" ></div>

## 属性说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_824290b91f881448775824dc8cc1ae7d_r.png" width="400" ></div>

### 组件名称
设置组件名称，用于在图层中显示组件的名称。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_4babec28272fd5723f31097c37aa846a_r.png" width="400" ></div>

### 组件尺寸
设置组件的宽度和高度，单位为 px

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_20211e94ee8eca14aaf44b64aa4e1584_r.png" width="400" ></div>

### 组件位置
设置组件在大屏中的位置，通过横纵坐标来定义，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_609d7332fba03f455f911a330b7072bf_r.png" width="400" ></div>

### 不透明度
设置组件不透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_46b7d9900528965d248e22f65ad59120_r.png" width="400" ></div>

### 旋转
设置组件在图层中的旋转角度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_242150a36adf8923369be3a23a58c969_r.png" width="400" ></div>

### 布局
根据不同的需求选择不同的布局类型。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_3c921ea48500590aebb3bc6eb2bc0e6a_r.png" width="400" ></div>

### 宽度
分割线的宽度

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_decbed4c3d8adced8d0060d7c0be07b8_r.png" width="400" ></div>

### 类型
分割线的类型

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_bb2da05b60ac462c9d403dbfd66d7b13_r.png" width="400" ></div>

### 颜色
分割线的颜色

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_3d75a49cc1fed4a91f9aa468455c8770_r.png" width="400" ></div>

### 开启渐变

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_456ca879db0b62f080db7655cf32080f_r.png" width="400" ></div>

+ 开启渐变：可开启或关闭渐变展示。
+ 渐变颜色：可设置不同的颜色。
+ 渐变方向：可设置不同的方向展示渐变。

## 交互参数说明
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_ff2fa273dbc80d263d91608afb61e5eb_r.png" width="400" ></div>

+ 显示：设置组件显隐。
+ 位置：设置组件位置。
+ 尺寸：设置组件宽高。

## 交互事件说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_7c37348002846d6465564042ffa84a04_r.png" width="400" ></div>

+ 点击事件：组件点击触发。
+ 位置变更：组件位置发生改变后，触发位置变更。
+ 尺寸变更：组件尺寸发生改变后，触发尺寸变更。

## 动画说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_07c85f3ac8c784111905bb6d3e91dcd6_r.png" width="400" ></div>

+ 动画名称：可设置名称内容；
+ 触发方式：可设置不同的触发动作触发动画；
+ 动画类型：可选择不同的动画类型触发动画；
+ 动作类型：可选择不同的动作类型触发动画；
+ 运动方式：可选择不同的运动方式触发动画；
+ 延迟播放：可设置延迟动画多长时间后触发动画；
+ 动画时长：可设置动画的运动时间；
+ 重复播放：可设置重复播放的方式；
+ 重复次数：重复播放 方式选择重复后，可设置重复次数，指改动画重复的次数；
+ 运动行为：可选择不同的运动方式；
+ 结束状态：可选择不同结束状态的方式。