## 基本概念
- **渐变图例**，采用渐变颜色来表示不同数据系列或类别的图例。如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_a5920ab4cdea1058050842cc5eb49dba_r.png" width="400" ></div>

## 属性说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_1e6c641b2f3427a4a8ccf1dbfca0daec_r.png" width="400" ></div>

### 组件名称
设置组件名称，用于在图层中显示组件的名称。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_afde0979df52b63ed90e98c1fd670393_r.png" width="400" ></div>

### 组件尺寸
设置组件的宽度和高度，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_e91df05734681fe538a2bd42675e2ef1_r.png" width="400" ></div>

### 组件位置
设置组件在大屏中的位置，通过横纵坐标来定义，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_609d7332fba03f455f911a330b7072bf_r.png" width="400" ></div>

### 不透明度
设置组件不透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_c4adb17778a0002e9da52e2fe617f993_r.png" width="400" ></div>

### 旋转
设置组件在图层中的旋转角度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_242150a36adf8923369be3a23a58c969_r.png" width="400" ></div>

### 渐变方向
设置渐变图例的渐变颜色方向。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_dd62d986d33f6127067a5380d2c01ad7_r.png" width="400" ></div>

## 样式说明

### 字体样式

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_09569ba63eaf5cb0dc227bb69beb347b_r.png" width="400" ></div>

- 字体库：可设置字体类型；
- 字体大小：可设置文字的大小；
- 字体颜色：可设置文字的颜色；
- 字体样式：可设置文字加粗和斜体；
- 字体阴影：可设置是否开启字体阴影；
- 阴影颜色：可设置阴影的颜色；
- 阴影大小：可设置阴影的大小。

## 数据说明
数据结构：描述每一个数字字段的名称、映射、数据类型。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_8ae32d9f35a4b110743e5c0344752538_r.png" width="400" ></div>

- 源数据：编辑json格式数据，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_69e72d3a6c2859554c1dbcb963f21dc7_r.png" width="400" ></div>

## 交互参数说明
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_d260ff7f3f27a94af32092cc911038b3_r.png" width="400" ></div>

+ 显示：设置组件显隐。
+ 位置：设置组件位置。
+ 尺寸：设置组件宽高。
+ 数据：设置组件数据。

## 交互事件说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_3a83d7010b05d5ba964ba0b0015fd14a_r.png" width="400" ></div>

+ 点击事件：组件点击触发。
+ 位置变更：组件位置发生改变后，触发位置变更。
+ 尺寸变更：组件尺寸发生改变后，触发尺寸变更。

## 动画说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_07c85f3ac8c784111905bb6d3e91dcd6_r.png" width="400" ></div>

+ 动画名称：可设置名称内容；
+ 触发方式：可设置不同的触发动作触发动画；
+ 动画类型：可选择不同的动画类型触发动画；
+ 动作类型：可选择不同的动作类型触发动画；
+ 运动方式：可选择不同的运动方式触发动画；
+ 延迟播放：可设置延迟动画多长时间后触发动画；
+ 动画时长：可设置动画的运动时间；
+ 重复播放：可设置重复播放的方式；
+ 重复次数：重复播放 方式选择重复后，可设置重复次数，指改动画重复的次数；
+ 运动行为：可选择不同的运动方式；
+ 结束状态：可选择不同结束状态的方式。