## 基本概念
- **颜色选择器**，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_8def17fbf32f0c618a6e9db9864eb288_r.png" width="400" ></div>

## 属性说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_5751d275f4bba31fcafd3c4172cf4c45_r.png" width="400" ></div>

### 组件名称
设置组件名称，用于在图层中显示组件的名称。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_a95c214f5302451fa4c3fe173a577b20_r.png" width="400" ></div>

### 组件尺寸
设置组件的宽度和高度，单位为 px

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_386c1900d50ee5d09911e2d904e12280_r.png" width="400" ></div>

### 组件位置
设置组件在大屏中的位置，通过横纵坐标来定义，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_609d7332fba03f455f911a330b7072bf_r.png" width="400" ></div>

### 不透明度
设置组件不透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_46b7d9900528965d248e22f65ad59120_r.png" width="400" ></div>

### 旋转
设置组件在图层中的旋转角度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_242150a36adf8923369be3a23a58c969_r.png" width="400" ></div>

### 背景颜色
设置组件背景颜色与背景颜色透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_9b9066297ee3f30a7013cd1aef81a462_r.png" width="400" ></div>

### 背景图片
设置组件背景图片可上传或输入图片地址，设置后可预览或清空背景图片。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_af2a28183b7b2b4710b0df82b13d1492_r.png" width="400" ></div>
&emsp;&emsp;

- 填充方式：可选择背景图填充方式。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_c8a744388e0a76eac108d2413550f5b4_r.png" width="400" ></div>



## 数据说明
数据结构：描述每一个数字字段的名称、映射、数据类型。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_20a36d772451194930fa7d2fd63656ce_r.png" width="400" ></div>

- 源数据：编辑json格式数据，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_bf91b30fa23352b25aecc426296da269_r.png" width="400" ></div>


## 交互参数说明
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_40119ba00fbbb64a7cc76c7706902867_r.png" width="400" ></div>

+ 显示：设置组件显隐。
+ 位置：设置组件位置。
+ 尺寸：设置组件宽高。
+ 值：修改组件值。

## 交互事件说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_7d1d0f330a3495d26f9c136594d293cb_r.png" width="400" ></div>

+ 点击事件：组件点击触发。
+ 位置变更：组件位置发生改变后，触发位置变更。
+ 尺寸变更：组件尺寸发生改变后，触发尺寸变更。
+ 改变事件：组件值发生改变后，触发此事件。


## 动画说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_07c85f3ac8c784111905bb6d3e91dcd6_r.png" width="400" ></div>

+ 动画名称：可设置名称内容；
+ 触发方式：可设置不同的触发动作触发动画；
+ 动画类型：可选择不同的动画类型触发动画；
+ 动作类型：可选择不同的动作类型触发动画；
+ 运动方式：可选择不同的运动方式触发动画；
+ 延迟播放：可设置延迟动画多长时间后触发动画；
+ 动画时长：可设置动画的运动时间；
+ 重复播放：可设置重复播放的方式；
+ 重复次数：重复播放 方式选择重复后，可设置重复次数，指改动画重复的次数；
+ 运动行为：可选择不同的运动方式；
+ 结束状态：可选择不同结束状态的方式。