## 基本概念
- **分段控制器**，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_2d3e11b63c6bccdfef39944dd11a21cd_r.png" width="400" ></div>

## 属性说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_bdcbecd429d7641818235c6275d8e6d2_r.png" width="400" ></div>

### 组件名称
设置组件名称，用于在图层中显示组件的名称。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_157124b732dd5529fa0582546d58fc66_r.png" width="400" ></div>

### 组件尺寸
设置组件的宽度和高度，单位为 px

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_00e4eabeb088aa5c3e58413fc5850a1b_r.png" width="400" ></div>

### 组件位置
设置组件在大屏中的位置，通过横纵坐标来定义，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_609d7332fba03f455f911a330b7072bf_r.png" width="400" ></div>

### 不透明度
设置组件不透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_46b7d9900528965d248e22f65ad59120_r.png" width="400" ></div>

### 旋转
设置组件在图层中的旋转角度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_242150a36adf8923369be3a23a58c969_r.png" width="400" ></div>

### 选项
通过添加删除移动操作，设置组件中的数据。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_30aeb90d5a3f8636d2788f59c0f0655e_r.png" width="400" ></div>

### 图标大小
设置图标的大小。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_a675a9f4e624f376a335656104b30d29_r.png" width="400" ></div>

### 自动播放
设置分段控制器是否自动播放。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_576610a1ad4edbbba85e8b9a21733f3a_r.png" width="400" ></div>

### 时间间隔
分段控制器为开启状态时，设置分段控制器切换的时间间隔。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_3082bdc867466b9404391bc2f5b532d5_r.png" width="400" ></div>

## 样式说明

### 字体库
可选择标题文字字体。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_0f7aafd372c3ce020a4e6fb25f639dcd_r.png" width="400" ></div>


### 字体大小
可选择或调整标题文字大小。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_98588876ea9dbdf0c7a887c123c5a9cb_r.png" width="400" ></div>

### 字体颜色
设置标题文字颜色与透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_7ed6bb696e07012693073190194c31c9_r.png" width="400" ></div>

### 字体样式
设置标题文字是否为粗体与斜体。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_a0cb7a5c08e90d1b865275ac76d6be25_r.png" width="400" ></div>

### 字体阴影
设置标题文字阴影是否开启。

开启后可设置阴影颜色与阴影大小。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_5a73a28d0fc46dfd65f064bbd94eaf26_r.png" width="400" ></div>

### 背景颜色
设置组件的背景颜色。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_2edc183ee97995275e730ba0670511ff_r.png" width="400" ></div>


### 选中样式

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_9cd8eb02ef1e2b26e8fc346c1cb55137_r.png" width="400" ></div>

- 字体库：可设置字体类型；
- 字体大小：可设置文字的大小；
- 字体颜色：可设置文字的颜色；
- 字体样式：可设置文字加粗和斜体；
- 字体阴影：可设置是否开启字体阴影；
- 阴影颜色：可设置阴影的颜色；
- 阴影大小：可设置阴影的大小。
- 背景颜色：可设置选中后的背景颜色。

## 数据说明
数据结构：描述每一个数字字段的名称、映射、数据类型。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_5a3e584621bd2db402873bf1a53cd450_r.png" width="400" ></div>

- 源数据：编辑json格式数据，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_32d7ece06fb07b19b1153825e3388193_r.png" width="400" ></div>

## 交互参数说明
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_1f2ac152e1f4df8934a72120a59bee86_r.png" width="400" ></div>

+ 显示：设置组件显隐。
+ 位置：设置组件位置。
+ 尺寸：设置组件宽高。

## 交互事件说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_fdb83d0832cb23262df0b6513b78d313_r.png" width="400" ></div>

+ 点击事件：组件点击触发。
+ 位置变更：组件位置发生改变后，触发位置变更。
+ 尺寸变更：组件尺寸发生改变后，触发尺寸变更。
+ 改变事件：组件选中值发生改变后，触发此事件。

## 动画说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_07c85f3ac8c784111905bb6d3e91dcd6_r.png" width="400" ></div>

+ 动画名称：可设置名称内容；
+ 触发方式：可设置不同的触发动作触发动画；
+ 动画类型：可选择不同的动画类型触发动画；
+ 动作类型：可选择不同的动作类型触发动画；
+ 运动方式：可选择不同的运动方式触发动画；
+ 延迟播放：可设置延迟动画多长时间后触发动画；
+ 动画时长：可设置动画的运动时间；
+ 重复播放：可设置重复播放的方式；
+ 重复次数：重复播放 方式选择重复后，可设置重复次数，指改动画重复的次数；
+ 运动行为：可选择不同的运动方式；
+ 结束状态：可选择不同结束状态的方式。