## 基本概念

+ **iframe**，支持开发者在当前网页中嵌入另一个网页，就像一个子窗口一样显示内容。如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_fd102307fd0541a6414442b1dca8c1c5_r.png" width="400" ></div>

## 属性说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_681450405a136f394a13f595ffeab745_r.png" width="400" ></div>

### 组件名称
设置组件名称，用于在图层中显示组件的名称。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_1d03140b245331aa932a2d5fa5418dc6_r.png" width="400" ></div>

### 组件尺寸
设置组件的宽度和高度，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_e1640b312801abe3da055e73f74952ae_r.png" width="400" ></div>

### 组件位置
设置组件在大屏中的位置，通过横纵坐标来定义，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_609d7332fba03f455f911a330b7072bf_r.png" width="400" ></div>

### 不透明度
设置组件不透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_e46386b7c59e69d48074fd396fc76c66_r.png" width="400" ></div>

### 旋转
设置组件在图层中的旋转角度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_242150a36adf8923369be3a23a58c969_r.png" width="400" ></div>

### 网址
输入网址，可以在组件显示该网址的信息。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_1eb9faf75cda7f6e7e985c4c37c5045c_r.png" width="400" ></div>

## 数据说明
数据结构：描述每一个数字字段的名称、映射、数据类型。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_dfb35bcd752e72599c2441977138c565_r.png" width="400" ></div>

- 源数据：编辑json格式数据，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_6d3b8dee6421315fbc93beea2479d0e1_r.png" width="400" ></div>


## 交互参数说明
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_38e4da2d257cf1ed587ef9b857279647_r.png" width="400" ></div>

+ 显示：设置组件显隐。
+ 位置：设置组件位置。
+ 尺寸：设置组件宽高。

## 交互事件说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_639182fe29dd0edb10a285e4630bce89_r.png" width="400" ></div>

+ 点击事件：组件点击触发。
+ 位置变更：组件位置发生改变后，触发位置变更。
+ 尺寸变更：组件尺寸发生改变后，触发尺寸变更。


## 动画说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_07c85f3ac8c784111905bb6d3e91dcd6_r.png" width="400" ></div>

+ 动画名称：可设置名称内容；
+ 触发方式：可设置不同的触发动作触发动画；
+ 动画类型：可选择不同的动画类型触发动画；
+ 动作类型：可选择不同的动作类型触发动画；
+ 运动方式：可选择不同的运动方式触发动画；
+ 延迟播放：可设置延迟动画多长时间后触发动画；
+ 动画时长：可设置动画的运动时间；
+ 重复播放：可设置重复播放的方式；
+ 重复次数：重复播放 方式选择重复后，可设置重复次数，指改动画重复的次数；
+ 运动行为：可选择不同的运动方式；
+ 结束状态：可选择不同结束状态的方式。