## 基本概念

+ **链接按钮**，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_63dd75d7bbaac5ac1d6333dde32b87e7_r.png" width="400" ></div>

## 属性说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_4a6994bada2300f3ce664a02f820a446_r.png" width="400" ></div>

### 组件名称
设置组件名称，用于在图层中显示组件的名称。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_0620aa105e8abb794a336faba3b92136_r.png" width="400" ></div>

### 组件尺寸
设置组件的宽度和高度，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_751f4cad586a3d343274c3c450ea8791_r.png" width="400" ></div>

### 组件位置
设置组件在大屏中的位置，通过横纵坐标来定义，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_609d7332fba03f455f911a330b7072bf_r.png" width="400" ></div>

### 不透明度
设置组件不透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_e46386b7c59e69d48074fd396fc76c66_r.png" width="400" ></div>

### 旋转
设置组件在图层中的旋转角度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_242150a36adf8923369be3a23a58c969_r.png" width="400" ></div>

### 背景颜色
设置链接按钮的背景颜色。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_54c0922f0bd0a02512dfd350c1af59d3_r.png" width="400" ></div>

### 按钮文字
设置该按钮文字的内容。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_e2fdc1ee57192cf023aadb7899969fb9_r.png" width="400" ></div>

### 字体大小
设置按钮文字的字体大小。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_d90d7c5f7bea5aee9cb003b530527b85_r.png" width="400" ></div>

### 字体颜色
设置按钮文字的字体颜色。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_f78245ce065ea2aad2f595951384e4d0_r.png" width="400" ></div>

### 网址
输入网址，可以在点击按钮实时组件显示该网址的信息，只有在浏览模式下才能点击

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_847029723aafb824b581b26031c55a9f_r.png" width="400" ></div>


## 交互参数说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_cddc1c2c41fc72017cc7818c0e116e20_r.png" width="400" ></div>

+ 显示：设置组件显隐。
+ 位置：设置组件位置。
+ 尺寸：设置组件宽高。

## 交互事件说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_fbb4c514c252d286ce8cd0c2dbb23165_r.png" width="400" ></div>

+ 点击事件：组件点击触发。
+ 位置变更：组件位置发生改变后，触发位置变更。
+ 尺寸变更：组件尺寸发生改变后，触发尺寸变更。

## 动画说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_07c85f3ac8c784111905bb6d3e91dcd6_r.png" width="400" ></div>

+ 动画名称：可设置名称内容；
+ 触发方式：可设置不同的触发动作触发动画；
+ 动画类型：可选择不同的动画类型触发动画；
+ 动作类型：可选择不同的动作类型触发动画；
+ 运动方式：可选择不同的运动方式触发动画；
+ 延迟播放：可设置延迟动画多长时间后触发动画；
+ 动画时长：可设置动画的运动时间；
+ 重复播放：可设置重复播放的方式；
+ 重复次数：重复播放 方式选择重复后，可设置重复次数，指改动画重复的次数；
+ 运动行为：可选择不同的运动方式；
+ 结束状态：可选择不同结束状态的方式。