## 基本概念
- **下拉菜单**，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_f1448c18a196f75126f863081cee05a6_r.png" width="400" ></div>

## 属性说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_973e64de21bf28644f0193fa21129c06_r.png" width="400" ></div>

### 组件名称
设置组件名称，用于在图层中显示组件的名称。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_95631fb0c518c841865294e3e1520877_r.png" width="400" ></div>

### 组件尺寸
设置组件的宽度和高度，单位为 px

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_ace837a4df2f2f3ab8d0d0062cfab394_r.png" width="400" ></div>

### 组件位置
设置组件在大屏中的位置，通过横纵坐标来定义，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_609d7332fba03f455f911a330b7072bf_r.png" width="400" ></div>

### 不透明度
设置组件不透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_46b7d9900528965d248e22f65ad59120_r.png" width="400" ></div>

### 旋转
设置组件在图层中的旋转角度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_242150a36adf8923369be3a23a58c969_r.png" width="400" ></div>

### 文字
设置组件按钮的位置。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_0580d5f1b4df59a9d01e455147a982dc_r.png" width="400" ></div>

### 内容
通过添加删除清空等操作设置不同的内容作用于组件中。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_9b9388409ddf16750f5c09c60674ea0c_r.png" width="400" ></div>

### 类型
给按钮设置图标，图标默认在文字左边。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_d9c8f85a0baeb8111c0201e2e427560d_r.png" width="400" ></div>


## 样式说明
### 背景颜色
设置按钮的背景颜色。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_7586416f7661c2fc1eb998d79f4c2a25_r.png" width="400" ></div>

### 字体样式


<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_a94889979f92894d2942769dac3e5d7f_r.png" width="400" ></div>

+ 字体库：可设置字体类型；
+ 字体大小：可设置文字的大小；
+ 字体颜色：可设置文字的颜色；
+ 字体样式：可设置文字加粗和斜体；
+ 字体阴影：可设置是否开启字体阴影；
+ 阴影颜色：可设置阴影的颜色；
+ 阴影大小：可设置阴影的大小。

### 图标样式

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_c30a9230480798cd860ba05268c3ecfa_r.png" width="400" ></div>

+ 大小：可设置图标的大小，单位px；
+ 颜色：可设置图标的颜色。


## 数据说明
数据结构：描述每一个数字字段的名称、映射、数据类型。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_6b9b2afbbc391bec7a3ff3ec75c7aba8_r.png" width="400" ></div>

- 源数据：编辑json格式数据，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_1487cd5230aef7db1315e1b7a84d3d0d_r.png" width="400" ></div>

## 交互参数说明
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_5f4190d035deeca2cac9e3164fe7db6f_r.png" width="400" ></div>

+ 显示：设置组件显隐。
+ 位置：设置组件位置。
+ 尺寸：设置组件宽高。
+ 可选项：设置组件选项列表。

## 交互事件说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_f71e3af7a8c7d1d9e7ddccaa3624635c_r.png" width="400" ></div>

+ 点击事件：组件点击触发。
+ 位置变更：组件位置发生改变后，触发位置变更。
+ 尺寸变更：组件尺寸发生改变后，触发尺寸变更。
+ 改变事件：组件选中值发出改变，触发此事件。

## 动画说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_07c85f3ac8c784111905bb6d3e91dcd6_r.png" width="400" ></div>

+ 动画名称：可设置名称内容；
+ 触发方式：可设置不同的触发动作触发动画；
+ 动画类型：可选择不同的动画类型触发动画；
+ 动作类型：可选择不同的动作类型触发动画；
+ 运动方式：可选择不同的运动方式触发动画；
+ 延迟播放：可设置延迟动画多长时间后触发动画；
+ 动画时长：可设置动画的运动时间；
+ 重复播放：可设置重复播放的方式；
+ 重复次数：重复播放 方式选择重复后，可设置重复次数，指改动画重复的次数；
+ 运动行为：可选择不同的运动方式；
+ 结束状态：可选择不同结束状态的方式。