## 基本概念
- **开关**，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_0e0c2f6f7713fbf9968711c8e92a010f_r.png" width="400" ></div>

## 属性说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_9c9425a5e5216a7171cfd06ee94d473b_r.png" width="400" ></div>

### 组件名称
设置组件名称，用于在图层中显示组件的名称。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_87bfbb768048218121fe5cbfb6f03573_r.png" width="400" ></div>

### 组件尺寸
设置组件的宽度和高度，单位为 px

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_24652d5afc3acc51c002aba782fd145d_r.png" width="400" ></div>

### 组件位置
设置组件在大屏中的位置，通过横纵坐标来定义，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_609d7332fba03f455f911a330b7072bf_r.png" width="400" ></div>

### 不透明度
设置组件不透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_46b7d9900528965d248e22f65ad59120_r.png" width="400" ></div>

### 旋转
设置组件在图层中的旋转角度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_242150a36adf8923369be3a23a58c969_r.png" width="400" ></div>

### 开启文字
设置开关在开启状态下的文字。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_beac99c9715ca2426acf5ce112345be7_r.png" width="400" ></div>

### 关闭文字
设置开关在关闭状态下的文字。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_bd97ec9ee6ec343a546aef8c08b74403_r.png" width="400" ></div>

### 字体大小
设置滚动条的布局方向。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_61c33e549ae213d1064a92b96af323b8_r.png" width="400" ></div>

### 开关大小
设置开关的大小。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_357ce9e226ab9924dc8a330ca5fe5c10_r.png" width="400" ></div>

### 初始选中
设置初始值是选中还是未选中。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_712550dc655bfcb8bf72eefe8c94cd94_r.png" width="400" ></div>

## 样式说明

### 背景颜色
设置组件背景颜色与背景颜色透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_9b9066297ee3f30a7013cd1aef81a462_r.png" width="400" ></div>

### 背景图片
设置组件背景图片可上传或输入图片地址，设置后可预览或清空背景图片。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_af2a28183b7b2b4710b0df82b13d1492_r.png" width="400" ></div>
&emsp;&emsp;

- 填充方式：可选择背景图填充方式。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_c8a744388e0a76eac108d2413550f5b4_r.png" width="400" ></div>

## 数据说明
数据结构：描述每一个数字字段的名称、映射、数据类型。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_f0fb430b03ac5ca65fd69e04e9518d4c_r.png" width="400" ></div>

- 源数据：编辑json格式数据，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_223d8672cbf4e1bf4d832b870c71d248_r.png" width="400" ></div>

## 交互参数说明
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_a73122681b88aff7ca2c8c486e6379d0_r.png" width="400" ></div>

+ 显示：设置组件显隐。
+ 位置：设置组件位置。
+ 尺寸：设置组件宽高。
+ 输入值：设置组件开关状态。

## 交互事件说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_6b4ab0cdcc6f0d9cc94f08f83aad62a3_r.png" width="400" ></div>

+ 点击事件：组件点击触发。
+ 位置变更：组件位置发生改变后，触发位置变更。
+ 尺寸变更：组件尺寸发生改变后，触发尺寸变更。
+ 值改变事件：组件状态发生改变后，触发此事件。

## 动画说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_07c85f3ac8c784111905bb6d3e91dcd6_r.png" width="400" ></div>

+ 动画名称：可设置名称内容；
+ 触发方式：可设置不同的触发动作触发动画；
+ 动画类型：可选择不同的动画类型触发动画；
+ 动作类型：可选择不同的动作类型触发动画；
+ 运动方式：可选择不同的运动方式触发动画；
+ 延迟播放：可设置延迟动画多长时间后触发动画；
+ 动画时长：可设置动画的运动时间；
+ 重复播放：可设置重复播放的方式；
+ 重复次数：重复播放 方式选择重复后，可设置重复次数，指改动画重复的次数；
+ 运动行为：可选择不同的运动方式；
+ 结束状态：可选择不同结束状态的方式。