## 基本概念
- **数字输入框**，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_608ee647fb10bfe575d941c868fbf8fe_r.png" width="400" ></div>

## 属性说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_819eca6b6c7032ce1c0ffabb8c0806df_r.png" width="400" ></div>

### 组件名称
设置组件名称，用于在图层中显示组件的名称。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_0fe39e53dff4c5b5ebcc384d8e4d0a4b_r.png" width="400" ></div>

### 组件尺寸
设置组件的宽度和高度，单位为 px

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_386c1900d50ee5d09911e2d904e12280_r.png" width="400" ></div>

### 组件位置
设置组件在大屏中的位置，通过横纵坐标来定义，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_609d7332fba03f455f911a330b7072bf_r.png" width="400" ></div>

### 不透明度
设置组件不透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_46b7d9900528965d248e22f65ad59120_r.png" width="400" ></div>

### 旋转
设置组件在图层中的旋转角度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_242150a36adf8923369be3a23a58c969_r.png" width="400" ></div>

### 尺寸

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_28d085b3aee1e81d5e9fd67f89cd7849_r.png" width="400" ></div>

### 最小值
设置数字输入框的最小值，数字输入框数值不能小于最小值属性。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_c693bed428412c4f9069c519b7f66271_r.png" width="400" ></div>

### 最大值
设置数字输入框的最大值，数字输入框数值不能大于最大值属性。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_20ff4055e43a2e1f975e55c9dbad5694_r.png" width="400" ></div>

### 小数点
设置数字输入框的小数点字符。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_25835b907a6de522bcc67afba6b9bccd_r.png" width="400" ></div>

### 数值精度
设置数字输入框数值精确度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_9defa2ea67be98614ac146c650f52933_r.png" width="400" ></div>

### 改变步数
设置数字输入框数值步数后，点击数字输入框右侧加/减按钮，对数字输入框数值加/减去步数属性数值。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_fa449aab9329cb7cde387db75c071508_r.png" width="400" ></div>

### 是否只读
设置输入框只读状态，只读状态为开启状态，输入框不可输入,不改变数字输入框样式。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_61333c6b1c177bdfba81c4848bb7ab75_r.png" width="400" ></div>

### 是否禁用
设置输入框禁用状态，禁用状态为开启状态，输入框不可输入，改变数字输入框样式为禁用样式。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_61333c6b1c177bdfba81c4848bb7ab75_r.png" width="400" ></div>



### 提示文字
设置数字输入框的提示文字，如果输入框没有值，显示提示文字。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_6b65e84337b01a383a49c5ef88ef0e11_r.png" width="400" ></div>

### 前缀
设置数字输入框的前缀文字。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_7f651e6b79ed64fcb9fd379ad93785e3_r.png" width="400" ></div>

### 后缀
设置数字输入框的后缀文字。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_e959d2580d21f34aa4cfa4ce4d696e8a_r.png" width="400" ></div>

### 前缀宽度
设置数字输入框的前缀宽度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_d4f391227557861ab7212e1b42689391_r.png" width="400" ></div>

### 后缀宽度
设置输入框的后缀宽度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_568e64ba2aff3e091b216fd836db4b53_r.png" width="400" ></div>

## 样式说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_d1c981bccb161a0ab785ccdf841a88d4_r.png" width="400" ></div>

### 背景颜色
修改输入框的背景颜色。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_d253a9cf05b17fbb6a6d25c964b15aa6_r.png" width="400" ></div>

### 字体大小
修改输入框的字体大小。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_6f650b40fdacb9e808c991474214defd_r.png" width="400" ></div>

### 字体颜色
修改输入框的字体颜色。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_fff0745b3e8cb07b7f5f8297a33167a2_r.png" width="400" ></div>

### 圆角大小
修改输入框的圆角大小。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_3c67f36162fe9e4fc6abd03b1942e056_r.png" width="400" ></div>

### 圆角大小
修改输入框的圆角大小。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_160778caa718f1c80011981852313fd6_r.png" width="400" ></div>

### 前/后置标签背景色
修改输入框前缀、后缀的背景颜色。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_160778caa718f1c80011981852313fd6_r.png" width="400" ></div>

### 边框大小
修改输入框边框宽度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_18ed4c2a339bed4caf4dd2c08aa6804c_r.png" width="400" ></div>

### 边框类型
设置输入框类型。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_0c8b186e4597fb096d376464c56d773f_r.png" width="400" ></div>

### 边框颜色
设置输入框边框的颜色。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_59f685fba3f9a1afcbd26598d15ddb22_r.png" width="400" ></div>

### 提示文字颜色
设置输入框的提示文字，如果输入框没有值，显示提示文字。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_832764e1745fee7b476569bb1141f05f_r.png" width="400" ></div>

### 禁用文字颜色
设置输入框禁用状态，禁用状态下的提示文字颜色。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_832764e1745fee7b476569bb1141f05f_r.png" width="400" ></div>

### 禁用背景颜色
设置输入框禁用状态的背景颜色。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_b773a978b4f472db0d3fef2c55dddeb2_r.png" width="400" ></div>

## 数据说明
数据结构：描述每一个数字字段的名称、映射、数据类型。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_419769e73b8678d0da9ce811a7de95b4_r.png" width="400" ></div>

- 源数据：编辑json格式数据，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_ddb2ea9067168487ff71c823379a4886_r.png" width="400" ></div>

## 交互参数说明
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_c81f7bb519f8eb134335223e70a19266_r.png" width="400" ></div>

+ 显示：设置组件显隐。
+ 位置：设置组件位置。
+ 尺寸：设置组件宽高。
+ 只读：设置组件只读状态
+ 禁用：设置组件禁用状态。
+ 值：设置组件数值。

## 交互事件说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_267043569dcfd780eaec7c2d394d9e5a_r.png" width="400" ></div>

+ 点击事件：组件点击触发。
+ 位置变更：组件位置发生改变后，触发位置变更。
+ 尺寸变更：组件尺寸发生改变后，触发尺寸变更。
+ 改变事件：组件值发生改变后，触发此事件。

## 动画说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_07c85f3ac8c784111905bb6d3e91dcd6_r.png" width="400" ></div>

+ 动画名称：可设置名称内容；
+ 触发方式：可设置不同的触发动作触发动画；
+ 动画类型：可选择不同的动画类型触发动画；
+ 动作类型：可选择不同的动作类型触发动画；
+ 运动方式：可选择不同的运动方式触发动画；
+ 延迟播放：可设置延迟动画多长时间后触发动画；
+ 动画时长：可设置动画的运动时间；
+ 重复播放：可设置重复播放的方式；
+ 重复次数：重复播放 方式选择重复后，可设置重复次数，指改动画重复的次数；
+ 运动行为：可选择不同的运动方式；
+ 结束状态：可选择不同结束状态的方式。