## 基本概念
- **进度条**，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_7db386f965049c90a3f05260e45f2b19_r.png" width="400" ></div>

## 属性说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_130321c2a044239d9fcd4ef01c7bf460_r.png" width="400" ></div>

### 组件名称
设置组件名称，用于在图层中显示组件的名称。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_7f7fda3df34e3e04267ec3daf0003e33_r.png" width="400" ></div>

### 组件尺寸
设置组件的宽度和高度，单位为 px

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_386c1900d50ee5d09911e2d904e12280_r.png" width="400" ></div>

### 组件位置
设置组件在大屏中的位置，通过横纵坐标来定义，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_609d7332fba03f455f911a330b7072bf_r.png" width="400" ></div>

### 不透明度
设置组件不透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_46b7d9900528965d248e22f65ad59120_r.png" width="400" ></div>

### 旋转
设置组件在图层中的旋转角度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_242150a36adf8923369be3a23a58c969_r.png" width="400" ></div>

### 宽度
设置进度条的宽度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_6cb2d16786376840e30caaeb0ecc82ce_r.png" width="400" ></div>

### 前景色
设置滚动条的选中轴体的背景颜色。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_c625272dcf2a07ee6852c3b9cdfbf2a2_r.png" width="400" ></div>

### 背景色
设置滚动条的背景颜色。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_6b16f1c566e107db7ae16adeb673c53f_r.png" width="400" ></div>

### 禁用
设置是否开启禁用模式，禁用模式下，不能对滚动条进行拖拽改变数值。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_b63bdb8e2743e9d76596487450a28369_r.png" width="400" ></div>

### 类型
设置滚动条的展示类型。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_61afcc02d969ab3690d1d012ae33ac5e_r.png" width="400" ></div>

### 文字显示
设置滚动条的文字显隐。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_5ac360b3c6840f6c8ff63adc73e25d8b_r.png" width="400" ></div>

### 字体
设置滚动条的字体样式。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_db29875c4257e3126549937a4dbaeeb1_r.png" width="400" ></div>

+ 字体库：可设置字体类型；
+ 字体大小：可设置文字的大小；
+ 字体颜色：可设置文字的颜色；
+ 字体样式：可设置文字加粗和斜体；
+ 字体阴影：可设置是否开启字体阴影；
+ 阴影颜色：可设置阴影的颜色；
+ 阴影大小：可设置阴影的大小。


## 数据说明
数据结构：描述每一个数字字段的名称、映射、数据类型。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_358e260a87407f54a21f996639a3a5cb_r.png" width="400" ></div>

- 源数据：编辑json格式数据，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_f550fdee58ba44c9924d61b215930804_r.png" width="400" ></div>

## 交互参数说明
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_ffb799784c206eacda66a89c8493ae35_r.png" width="400" ></div>

+ 显示：设置组件显隐。
+ 位置：设置组件位置。
+ 尺寸：设置组件宽高。

## 交互事件说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_639182fe29dd0edb10a285e4630bce89_r.png" width="400" ></div>

+ 点击事件：组件点击触发。
+ 位置变更：组件位置发生改变后，触发位置变更。
+ 尺寸变更：组件尺寸发生改变后，触发尺寸变更。

## 动画说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_07c85f3ac8c784111905bb6d3e91dcd6_r.png" width="400" ></div>

+ 动画名称：可设置名称内容；
+ 触发方式：可设置不同的触发动作触发动画；
+ 动画类型：可选择不同的动画类型触发动画；
+ 动作类型：可选择不同的动作类型触发动画；
+ 运动方式：可选择不同的运动方式触发动画；
+ 延迟播放：可设置延迟动画多长时间后触发动画；
+ 动画时长：可设置动画的运动时间；
+ 重复播放：可设置重复播放的方式；
+ 重复次数：重复播放 方式选择重复后，可设置重复次数，指改动画重复的次数；
+ 运动行为：可选择不同的运动方式；
+ 结束状态：可选择不同结束状态的方式。