## 基本概念
- **列表**，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_f3d180ccac1af22cc81c7bdef6a807af_r.png" width="400" ></div>
&emsp;&emsp;

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_fbafacb85862a9f2cafd92de56f762ab_r.png" width="400" ></div>

## 属性说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_b237d55eaa0066e69c01a261b2dec889_r.png" width="400" ></div>

### 组件名称
设置组件名称，用于在图层中显示组件的名称。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_fbd012c714b6c3aa6f60f4657799b905_r.png" width="400" ></div>

### 组件尺寸
设置组件的宽度和高度，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_73f013187a4fb2caa20c5d0585b24638_r.png" width="400" ></div>

### 组件位置
设置组件在大屏中的位置，通过横纵坐标来定义，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_609d7332fba03f455f911a330b7072bf_r.png" width="400" ></div>

### 不透明度
设置组件不透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_e46386b7c59e69d48074fd396fc76c66_r.png" width="400" ></div>

### 旋转
设置组件在图层中的旋转角度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_242150a36adf8923369be3a23a58c969_r.png" width="400" ></div>

### 展示头部
设置是否显示表头。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_91ad4c8351611292504c056b7ff37954_r.png" width="400" ></div>

### 头部颜色、奇数行颜色、偶数行颜色
设置表头与表格内容奇偶数行颜色。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_0748f74d374eeb76046d48d3ce67f8e2_r.png" width="400" ></div>

## 数据说明
数据结构：描述每一个数字字段的名称、映射、数据类型。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_491338ab66e0c7c6a83a765653d2cc0e_r.png" width="400" ></div>

- 源数据：编辑json格式数据，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_6af8ca3229f195c8712fa74e4f9a31ff_r.png" width="400" ></div>


## 交互参数说明
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_fab8336a21786960a046e634d6b94384_r.png" width="400" ></div>

+ 显示：设置组件显隐。
+ 位置：设置组件位置。
+ 尺寸：设置组件宽高。

## 交互事件说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_ae1a9f7159f283db72dffced672a4c72_r.png" width="400" ></div>

+ 点击事件：组件点击触发。
+ 位置变更：组件位置发生改变后，触发位置变更。
+ 尺寸变更：组件尺寸发生改变后，触发尺寸变更。


## 动画说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_07c85f3ac8c784111905bb6d3e91dcd6_r.png" width="400" ></div>

+ 动画名称：可设置名称内容；
+ 触发方式：可设置不同的触发动作触发动画；
+ 动画类型：可选择不同的动画类型触发动画；
+ 动作类型：可选择不同的动作类型触发动画；
+ 运动方式：可选择不同的运动方式触发动画；
+ 延迟播放：可设置延迟动画多长时间后触发动画；
+ 动画时长：可设置动画的运动时间；
+ 重复播放：可设置重复播放的方式；
+ 重复次数：重复播放 方式选择重复后，可设置重复次数，指改动画重复的次数；
+ 运动行为：可选择不同的运动方式；
+ 结束状态：可选择不同结束状态的方式。