## 基本概念
- **数字翻板**，支持以动画的方式展示数字的变化。如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_7be821cf6319bfd7d6fc94cc6e35a50d_r.png" width="400" ></div>

## 属性说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_7962660ed2041ddcda85321ca2924f7c_r.png" width="400" ></div>

### 组件名称
设置组件名称，用于在图层中显示组件的名称。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_ee8cdbfd211a2809ec516ceb408275f6_r.png" width="400" ></div>

### 组件尺寸
设置组件的宽度和高度，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_4fb6f8c642ad0cbbcc60365847ff1d82_r.png" width="400" ></div>

### 组件位置
设置组件在大屏中的位置，通过横纵坐标来定义，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_609d7332fba03f455f911a330b7072bf_r.png" width="400" ></div>

### 不透明度
设置组件不透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_46b7d9900528965d248e22f65ad59120_r.png" width="400" ></div>

### 旋转
设置组件在图层中的旋转角度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_242150a36adf8923369be3a23a58c969_r.png" width="400" ></div>

### 数值
数值数值内容。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_605dfeb95b10374362e83fca6a3d5293_r.png" width="400" ></div>

### 保留小数
设置保留小数位数。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_cd05326ac6367f767ef1024af893ecde_r.png" width="400" ></div>

### 对齐方式
设置文字的对齐方式。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_ed0fc27072027ec99b475e4dfdb2f3af_r.png" width="400" ></div>

### 单位
设置文字的单位，支持各种文字和符号。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_679a9b8c735a3eb2368e0db7c9888dba_r.png" width="400" ></div>

### 字体大小
设置文字的字体大小。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_9162f3ad08285f858d68571cad021a2c_r.png" width="400" ></div>

### 字体颜色
设置文字的字体颜色。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_5b3e7506740b7990858ac79c16418df0_r.png" width="400" ></div>

## 数据说明
数据结构：描述每一个数字字段的名称、映射、数据类型。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_e2f56a8b996c92d9c27b13bf4e094ed1_r.png" width="400" ></div>

- 源数据：编辑json格式数据，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_6fbe7506eee10d534c31afd09223a5fa_r.png" width="400" ></div>

## 交互参数说明
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_9068539ce7de023f650c040fc15ed1f0_r.png" width="400" ></div>

+ 显示：设置组件显隐。
+ 位置：设置组件位置。
+ 尺寸：设置组件宽高。

## 交互事件说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_ae1a9f7159f283db72dffced672a4c72_r.png" width="400" ></div>

+ 点击事件：组件点击触发。
+ 位置变更：组件位置发生改变后，触发位置变更。
+ 尺寸变更：组件尺寸发生改变后，触发尺寸变更。

## 动画说明


<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_07c85f3ac8c784111905bb6d3e91dcd6_r.png" width="400" ></div>

+ 动画名称：可设置名称内容；
+ 触发方式：可设置不同的触发动作触发动画；
+ 动画类型：可选择不同的动画类型触发动画；
+ 动作类型：可选择不同的动作类型触发动画；
+ 运动方式：可选择不同的运动方式触发动画；
+ 延迟播放：可设置延迟动画多长时间后触发动画；
+ 动画时长：可设置动画的运动时间；
+ 重复播放：可设置重复播放的方式；
+ 重复次数：重复播放 方式选择重复后，可设置重复次数，指改动画重复的次数；
+ 运动行为：可选择不同的运动方式；
+ 结束状态：可选择不同结束状态的方式。