## 基本概念
- **统计数值**，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_3e1df784ce95ca95f2ba2d1fe3356d85_r.png" width="400" ></div>

## 属性说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_bbd8bf113b5f2ea43df1478ebe607cd4_r.png" width="400" ></div>
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_f052b1cf07ad746de3b39f85978d3f3f_r.png" width="400" ></div>

### 组件名称
设置组件名称，用于在图层中显示组件的名称。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_f479499762a5afa1b3634d66f1c7d536_r.png" width="400" ></div>

### 组件尺寸
设置组件的宽度和高度，单位为 px

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_8e70bfc0597b829dd111efdcd92245da_r.png" width="400" ></div>

### 组件位置
设置组件在大屏中的位置，通过横纵坐标来定义，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_609d7332fba03f455f911a330b7072bf_r.png" width="400" ></div>

### 不透明度
设置组件不透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_46b7d9900528965d248e22f65ad59120_r.png" width="400" ></div>

### 旋转
设置组件在图层中的旋转角度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_242150a36adf8923369be3a23a58c969_r.png" width="400" ></div>

### 数值
设置组件的数值内容。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_e892741ec4a3b74331d5135082efcca1_r.png" width="400" ></div>

### 保留小数
设置保留小数位数。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_a31ab24a67baa6c304c30e35e6a53b51_r.png" width="400" ></div>

### 标题
设置标题内容。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_9d5966641eb186cfc792bd18630d9677_r.png" width="400" ></div>

### 位置
设置标题的位置。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_8d53784f8394a5dac7618508a97bc78c_r.png" width="400" ></div>

### 前缀

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_2c6f14cb188d4e0ead92d3e328097931_r.png" width="400" ></div>

+ 类型：可设置前缀为图标或者文字。
+ 间距：前缀与数值的间距。

### 后缀

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_bf215f3761ab234b5d092139fd57780a_r.png" width="400" ></div>

+ 类型：可设置后缀为图标或者文字。
+ 间距：后缀与数值的间距。

## 样式说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_1eec831fce1ac689abb39c7093f3b816_r.png" width="400" ></div>


### 标题样式

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_ef11d53c1f682e4910748a4f27b9e9e6_r.png" width="400" ></div>

- 字体库：可设置字体类型；
- 字体大小：可设置文字的大小；
- 字体颜色：可设置文字的颜色；
- 字体样式：可设置文字加粗和斜体；
- 字体阴影：可设置是否开启字体阴影；
- 阴影颜色：可设置阴影的颜色；
- 阴影大小：可设置阴影的大小。

### 数值样式

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_de72ccedc872dcbeca257c005ce90c53_r.png" width="400" ></div>

- 字体库：可设置字体类型；
- 字体大小：可设置文字的大小；
- 字体颜色：可设置文字的颜色；
- 字体样式：可设置文字加粗和斜体；
- 字体阴影：可设置是否开启字体阴影；
- 阴影颜色：可设置阴影的颜色；
- 阴影大小：可设置阴影的大小。

### 前缀样式

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_82ead62eee93b835092774bfb28b57ab_r.png" width="400" ></div>

- 字体库：可设置字体类型；
- 字体大小：可设置文字的大小；
- 字体颜色：可设置文字的颜色；
- 字体样式：可设置文字加粗和斜体；
- 字体阴影：可设置是否开启字体阴影；
- 阴影颜色：可设置阴影的颜色；
- 阴影大小：可设置阴影的大小。
- 图标颜色：可设置前缀图标的颜色；
- 图标大小：可设置前缀图标的大小。

### 后缀样式

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_8004c5e4d1f63da4805bb10e34130bb5_r.png" width="400" ></div>

- 字体库：可设置字体类型；
- 字体大小：可设置文字的大小；
- 字体颜色：可设置文字的颜色；
- 字体样式：可设置文字加粗和斜体；
- 字体阴影：可设置是否开启字体阴影；
- 阴影颜色：可设置阴影的颜色；
- 阴影大小：可设置阴影的大小。
- 图标颜色：可设置后缀图标的颜色；
- 图标大小：可设置后缀图标的大小。

## 数据说明
数据结构：描述每一个数字字段的名称、映射、数据类型。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_217c5843cebc56fd7994a7e2c7715402_r.png" width="400" ></div>

- 源数据：编辑json格式数据，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_4e5da94194bf63573e7e6dd60a9fed8d_r.png" width="400" ></div>


## 交互参数说明
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_6ccf212db1beff5107f0e03965c6c4eb_r.png" width="400" ></div>

+ 显示：设置组件显隐。
+ 位置：设置组件位置。
+ 尺寸：设置组件宽高。

## 交互事件说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_ae1a9f7159f283db72dffced672a4c72_r.png" width="400" ></div>

+ 点击事件：组件点击触发。
+ 位置变更：组件位置发生改变后，触发位置变更。
+ 尺寸变更：组件尺寸发生改变后，触发尺寸变更。


## 动画说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_07c85f3ac8c784111905bb6d3e91dcd6_r.png" width="400" ></div>

+ 动画名称：可设置名称内容；
+ 触发方式：可设置不同的触发动作触发动画；
+ 动画类型：可选择不同的动画类型触发动画；
+ 动作类型：可选择不同的动作类型触发动画；
+ 运动方式：可选择不同的运动方式触发动画；
+ 延迟播放：可设置延迟动画多长时间后触发动画；
+ 动画时长：可设置动画的运动时间；
+ 重复播放：可设置重复播放的方式；
+ 重复次数：重复播放 方式选择重复后，可设置重复次数，指改动画重复的次数；
+ 运动行为：可选择不同的运动方式；
+ 结束状态：可选择不同结束状态的方式。