## 基本概念
- **倒计时**，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_010774899fba2fa1f70a5a0a6ae9c096_r.png" width="400" ></div>

## 属性说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_ac51e50aae2f7aa43ba55446c4c4dcb6_r.png" width="400" ></div>

### 组件名称
设置组件名称，用于在图层中显示组件的名称。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_441bdb662c2f9ba63ce72fb276c23df5_r.png" width="400" ></div>

### 组件尺寸
设置组件的宽度和高度，单位为 px

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_8e70bfc0597b829dd111efdcd92245da_r.png" width="400" ></div>

### 组件位置
设置组件在大屏中的位置，通过横纵坐标来定义，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_609d7332fba03f455f911a330b7072bf_r.png" width="400" ></div>

### 不透明度
设置组件不透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_46b7d9900528965d248e22f65ad59120_r.png" width="400" ></div>

### 旋转
设置组件在图层中的旋转角度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_242150a36adf8923369be3a23a58c969_r.png" width="400" ></div>

### 倒计时
设置倒计时的时间，通过不同的格式将这个倒计时转换成不同类型。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_dc8ca530e3998105d63b2655e470a57b_r.png" width="400" ></div>

### 标题
设置标题的名称。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_dc8ca530e3998105d63b2655e470a57b_r.png" width="400" ></div>

### 位置
设置标题的位置。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_8d53784f8394a5dac7618508a97bc78c_r.png" width="400" ></div>

### 格式
设置倒计时的格式。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_59e80c0aba46b12376c3ef5074e46dd3_r.png" width="400" ></div>

## 样式说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_30d9e02a7d493d674b2ee5d2b10011fe_r.png" width="400" ></div>

### 标题样式

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_33836e0dbdf520257dea2c6eb1dc1d5c_r.png" width="400" ></div>

- 字体库：可设置字体类型；
- 字体大小：可设置文字的大小；
- 字体颜色：可设置文字的颜色；
- 字体样式：可设置文字加粗和斜体；
- 字体阴影：可设置是否开启字体阴影；
- 阴影颜色：可设置阴影的颜色；
- 阴影大小：可设置阴影的大小。

### 数值样式

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_f15bb3efef8fb309de4d2447e0ff3b05_r.png" width="400" ></div>

- 字体库：可设置字体类型；
- 字体大小：可设置文字的大小；
- 字体颜色：可设置文字的颜色；
- 字体样式：可设置文字加粗和斜体；
- 字体阴影：可设置是否开启字体阴影；
- 阴影颜色：可设置阴影的颜色；
- 阴影大小：可设置阴影的大小。


## 交互参数说明
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_e3b7887c1869d3ba17dae95f6d6c850b_r.png" width="400" ></div>

+ 显示：设置组件显隐。
+ 位置：设置组件位置。
+ 尺寸：设置组件宽高。

## 交互事件说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_ae1a9f7159f283db72dffced672a4c72_r.png" width="400" ></div>

+ 点击事件：组件点击触发。
+ 位置变更：组件位置发生改变后，触发位置变更。
+ 尺寸变更：组件尺寸发生改变后，触发尺寸变更。


## 动画说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_07c85f3ac8c784111905bb6d3e91dcd6_r.png" width="400" ></div>

+ 动画名称：可设置名称内容；
+ 触发方式：可设置不同的触发动作触发动画；
+ 动画类型：可选择不同的动画类型触发动画；
+ 动作类型：可选择不同的动作类型触发动画；
+ 运动方式：可选择不同的运动方式触发动画；
+ 延迟播放：可设置延迟动画多长时间后触发动画；
+ 动画时长：可设置动画的运动时间；
+ 重复播放：可设置重复播放的方式；
+ 重复次数：重复播放 方式选择重复后，可设置重复次数，指改动画重复的次数；
+ 运动行为：可选择不同的运动方式；
+ 结束状态：可选择不同结束状态的方式。