## 基本概念
- **时间序列**，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_83520fa5d19233c4644f6724b89fc50c_r.png" width="400" ></div>

## 属性说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_be623d083d9bcf1b7305e625d63eac00_r.png" width="400" ></div>

### 组件名称
设置组件名称，用于在图层中显示组件的名称。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_a2c4a6f0c5187a8ab0821537638ad946_r.png" width="400" ></div>

### 组件尺寸
设置组件的宽度和高度，单位为 px

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_b7cc88eb662d79a3bb1c23aff278929b_r.png" width="400" ></div>

### 组件位置
设置组件在大屏中的位置，通过横纵坐标来定义，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_609d7332fba03f455f911a330b7072bf_r.png" width="400" ></div>

### 不透明度
设置组件不透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_46b7d9900528965d248e22f65ad59120_r.png" width="400" ></div>

### 旋转
设置组件在图层中的旋转角度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_242150a36adf8923369be3a23a58c969_r.png" width="400" ></div>

### 播放速度
设置组件的播放速率。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_514b293d81c26c16d5a2ea3645f95f9b_r.png" width="400" ></div>

### 时间范围
设置时间序列，时间范围的起始时间和结束时间是组件的时间范围。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_851dc6a20c9b5df9f7317e9d0ecbab8f_r.png" width="400" ></div>

### 循环播放

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_851dc6a20c9b5df9f7317e9d0ecbab8f_r.png" width="400" ></div>

### 刻度缩放

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_69423af15cd751e3c29b5a600f7feb3c_r.png" width="400" ></div>

### 间隔时长
设置组件每个节点间的时间间隔。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_13610d7a90ce59945c8200667ddfb94e_r.png" width="400" ></div>

### 间隔单位
设置组件时间间隔的单位。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_31f870484eb9675122913d07ff9d26e7_r.png" width="400" ></div>

### 时间格式
设置每个节点文字的显示格式。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_9303d5877bccf49d5313d7ea9223d5d4_r.png" width="400" ></div>


## 样式说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_44368938369f7bad9b4d9f9e6568f755_r.png" width="400" ></div>

### 按钮颜色
设置开始和终止按钮的颜色。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_298d3e414d815d560058255e6755685c_r.png" width="400" ></div>

### 标记颜色
设置组件每个节点的文字颜色。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_ae288260fc8e6bf8b19fc6e15ed7cd50_r.png" width="400" ></div>

### 刻度颜色
设置组件每个节点的刻度颜色。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_3f4d06f1d44d0cf2b503cd77c80ad35e_r.png" width="400" ></div>

### 关键刻度颜色
设置组件选中节点的刻度颜色。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_3f4d06f1d44d0cf2b503cd77c80ad35e_r.png" width="400" ></div>

### 指针颜色
设置组件选中节点上方三角的颜色。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_626cc477496940c952c93c4bde79cef0_r.png" width="400" ></div>


## 数据说明
数据结构：描述每一个数字字段的名称、映射、数据类型。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_85ff2c89ef4be4729e65a1deec8772c7_r.png" width="400" ></div>

- 源数据：编辑json格式数据，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_d4829313140687ae43e4fd226083d8a1_r.png" width="400" ></div>


## 交互参数说明
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_447416635abb9529363e5f1e038b1551_r.png" width="400" ></div>

+ 显示：设置组件显隐。
+ 位置：设置组件位置。
+ 尺寸：设置组件宽高。

## 交互事件说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_ae1a9f7159f283db72dffced672a4c72_r.png" width="400" ></div>

+ 点击事件：组件点击触发。
+ 位置变更：组件位置发生改变后，触发位置变更。
+ 尺寸变更：组件尺寸发生改变后，触发尺寸变更。


## 动画说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_07c85f3ac8c784111905bb6d3e91dcd6_r.png" width="400" ></div>

+ 动画名称：可设置名称内容；
+ 触发方式：可设置不同的触发动作触发动画；
+ 动画类型：可选择不同的动画类型触发动画；
+ 动作类型：可选择不同的动作类型触发动画；
+ 运动方式：可选择不同的运动方式触发动画；
+ 延迟播放：可设置延迟动画多长时间后触发动画；
+ 动画时长：可设置动画的运动时间；
+ 重复播放：可设置重复播放的方式；
+ 重复次数：重复播放 方式选择重复后，可设置重复次数，指改动画重复的次数；
+ 运动行为：可选择不同的运动方式；
+ 结束状态：可选择不同结束状态的方式。