## 基本概念
+ **时间轴**，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_3748c6466c5542fe3c2e7842036189fa_r.png" width="400" ></div>

## 属性说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_2e784a2782b21a2b813707e1c34fc55c_r.png" width="400" ></div>

### 组件名称
设置组件名称，用于在图层中显示组件的名称。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_8361f694279796060696f4765ff8d49c_r.png" width="400" ></div>

### 组件尺寸
设置组件的宽度和高度，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_83c160c7aa1681ab55c78a6d35b4f80d_r.png" width="400" ></div>

### 组件位置
设置组件在大屏中的位置，通过横纵坐标来定义，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_609d7332fba03f455f911a330b7072bf_r.png" width="400" ></div>

### 不透明度
设置组件不透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_46b7d9900528965d248e22f65ad59120_r.png" width="400" ></div>

### 旋转
设置组件在图层中的旋转角度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_242150a36adf8923369be3a23a58c969_r.png" width="400" ></div>

### 背景颜色
设置组件背景颜色与背景颜色透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_ac4404b4b10c4d57355ef135d55f5056_r.png" width="400" ></div>

### 背景图片
设置组件背景图片可上传或输入图片地址，设置后可预览或清空背景图片。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_af2a28183b7b2b4710b0df82b13d1492_r.png" width="400" ></div>
&emsp;&emsp;

- 填充方式：可选择背景图填充方式。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_25241b4b80cb92f3613d3051c37821b9_r.png" width="400" ></div>

## 数据说明
数据结构：描述每一个数字字段的名称、映射、数据类型。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_f1296a16f09f1a1b365bcb0fec70d8f4_r.png" width="400" ></div>

- 源数据：编辑json格式数据，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_50fab880b7192b0082a11cc26d210c27_r.png" width="400" ></div>


## 交互参数说明
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_862dd63001d759e57104a74e133ce1f5_r.png" width="400" ></div>

+ 显示：设置组件显隐。
+ 位置：设置组件位置。
+ 尺寸：设置组件宽高。

## 交互事件说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_ae1a9f7159f283db72dffced672a4c72_r.png" width="400" ></div>

+ 点击事件：组件点击触发。
+ 位置变更：组件位置发生改变后，触发位置变更。
+ 尺寸变更：组件尺寸发生改变后，触发尺寸变更。


## 动画说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_07c85f3ac8c784111905bb6d3e91dcd6_r.png" width="400" ></div>

+ 动画名称：可设置名称内容；
+ 触发方式：可设置不同的触发动作触发动画；
+ 动画类型：可选择不同的动画类型触发动画；
+ 动作类型：可选择不同的动作类型触发动画；
+ 运动方式：可选择不同的运动方式触发动画；
+ 延迟播放：可设置延迟动画多长时间后触发动画；
+ 动画时长：可设置动画的运动时间；
+ 重复播放：可设置重复播放的方式；
+ 重复次数：重复播放 方式选择重复后，可设置重复次数，指改动画重复的次数；
+ 运动行为：可选择不同的运动方式；
+ 结束状态：可选择不同结束状态的方式。