## 面板布局介绍

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_647efa264bdd0a2d50ea42623105ee1b_r.png" width="1000" ></div>

### 1.左侧面板
此处包含所有数据、新数据、转换器，可以鼠标按下数据组件，拖拽到画布区；

- **所有数据**，存储交互视图中使用过得数据，所有数据下的数据可以多个组件同时使用。

<div width="100%" align=center>
<img src="http://cloud.gisspring.com/wiki/uploads/easyAppsManual/images/m_1021551c0699e01079207357a9290d42_r.png" width="400" ></div>
&emsp;&emsp;

- **新数据**，展示新数据列表，数据组件用于存储组件交互的数据。

<div width="100%" align=center>
<img src="http://cloud.gisspring.com/wiki/uploads/easyAppsManual/images/m_dc22594ef1455bbfb592506165ef1cb0_r.png" width="400" ></div>
&emsp;&emsp;

- **转换器**，展示转换器列表，转换器用于解决组件数据的交互。

<div width="100%" align=center>
<img src="http://cloud.gisspring.com/wiki/uploads/easyAppsManual/images/m_dc22594ef1455bbfb592506165ef1cb0_r.png" width="400" ></div>



- **当前数据**：与当前组件有交互的数据组件。

<div width="100%" align=center>
<img src="http://cloud.gisspring.com/wiki/uploads/easyAppsManual/images/m_f4b2aa1c7b2070f9557a57409dafc480_r.png" width="400" ></div>
&emsp;&emsp;

- **当前转换**：与当前组件有交互的转换器组件。

<div width="100%" align=center>
<img src="http://cloud.gisspring.com/wiki/uploads/easyAppsManual/images/m_3e7f546ee7dd7abfdce4305353a07e77_r.png" width="400" ></div>

### 2.画布区
此处为主要的设计区域。将组件拖拽到画布区域，通过连接组件参数，实现逻辑交互；

<div width="100%" align=center>
<img src="http://cloud.gisspring.com/wiki/uploads/easyAppsManual/images/m_1c6a3d891f6b5d1984a1fcb86b25f479_r.png" width="400" ></div>

### 3.属性事件
此处展示选中组件的属性事件。

<div width="100%" align=center>
<img src="http://cloud.gisspring.com/wiki/uploads/easyAppsManual/images/m_9960b5939d96478cc9114d8230c73e9b_r.png" width="400" ></div>

### 4.工具栏
展示当前组件、删除、修改组件间连接的线条样式。

<div width="100%" align=center>
<img src="http://cloud.gisspring.com/wiki/uploads/easyAppsManual/images/m_e7a9da3e06f996668776355e8e4bb131_r.png" width="1000" ></div>
&emsp;&emsp;

- 当前组件：鼠标点击下拉框选择组件，在画布区展示选中组件的交互逻辑。

<div width="100%" align=center>
<img src="http://cloud.gisspring.com/wiki/uploads/easyAppsManual/images/m_96047070df7517880bb76a5ee627184e_r.png" width="1000" ></div>
&emsp;&emsp;

- 删除：鼠标选中交互组件，点击“删除”按钮，选中交互组件删除成功。

<div width="100%" align=center>
<img src="http://cloud.gisspring.com/wiki/uploads/easyAppsManual/images/m_d6d6ba6f2328a1464d0d5e5c6c877dc1_r.png" width="1000" ></div>
&emsp;&emsp;

- 链线样式：修改样式连接样式。

折线：如下图所示：

<div width="100%" align=center>
<img src="http://cloud.gisspring.com/wiki/uploads/easyAppsManual/images/m_b96e36c2d51fe59f84f254be518a4f5d_r.png" width="1000" ></div>
&emsp;&emsp;

曲线：如下图所示：

<div width="100%" align=center>
<img src="http://cloud.gisspring.com/wiki/uploads/easyAppsManual/images/m_d7573a190d0906dbebe40276fe831279_r.png" width="1000" ></div>
&emsp;&emsp;

直线：如下图所示：

<div width="100%" align=center>
<img src="http://cloud.gisspring.com/wiki/uploads/easyAppsManual/images/m_5e659dbed42096c3b7a68e50bb5920ad_r.png" width="1000" ></div>