## 基本概念
- **GeoJSON数据**，GeoJSON是一种基于JSON格式的地理空间数据交换格式。它用于表示地理要素及其属性，如点、线、面等几何形状，并可以为这些几何形状添加额外的属性信息。如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_3b35852bc2b75973d8a8dee2a9bc294a_r.png" width="400" ></div>

## 操作方式
+ 数据添加：鼠标左键按下新数据列表下的GeoJSON数据，然后拖拽到画布上，鼠标左键抬起，GeoJSON数据添加成功。
+ 使用方式：GeoJSON数据默认值是一个GeoJSON类型数据，可以在属性事件中修改默认值，通过转换器右侧蓝色按钮连接到想要赋值的组件。
+ 右侧蓝色按钮：鼠标左键按下右侧蓝色按钮，连接到想要赋值的组件属性上，GeoJSON数据赋值给组件属性，组件属性赋值成功。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_971ffac7c15d59a01fa041ef36cabe54_r.png" width="400" ></div>

+ 左侧绿色按钮：鼠标左键按下自定义组件的右侧蓝色按钮，连接到GeoJSON数据左侧绿色按钮，GeoJSON数据更新成功。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_25cfd12bf17a336f0b179e3d0006d4d4_r.png" width="400" ></div>

## 属性事件

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_5eb5f7d4a8e26a37f24c910ea6e5b3a8_r.png" width="400" ></div>

### 组件类型
组件类型：组件类型不可修改，新数据列表下的组件的组件类型为**数据型组件**，转换器列表下的组件的组件类型为**转换器组件**。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_90fce82b6da497a1eb363d0dc582881c_r.png" width="400" ></div>

### 组件名称

组件名称：修改GeoJSON数据标题。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_c50d20d900690d5f06022e6af6ea9456_r.png" width="400" ></div>

### 数据类型
数据类型：不可修改。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_7505ee6cf65fa21cab0fe541d64d01e3_r.png" width="400" ></div>

### 组件位置
组件位置：修改组件在交互视图下的位置。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_52a79736f2b958324f377b4c8e323fc2_r.png" width="400" ></div>

### 数据来源
数据来源：数据来源有两种方式添加数据。
+ 上传：鼠标左键点击“上传”按钮，选中GeoJSON数据，数据添加到数据编辑器。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_d86009bbe527e884a1cd6816eaf6e579_r.png" width="400" ></div>

+ 网络：鼠标左键点击“网络”按钮，输入网络地址，鼠标点击获取数据按钮，数据添加成功。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_6a28343f6c3ca4c50c3095e4fc149da6_r.png" width="400" ></div>