## 基本概念
- **验证码**，支持用户通过输入手机号后，获取验证码。如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_bdfc2baa7d940cb0efde06bc37c8e32b_r.png" width="400" ></div>

## 属性说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_a39c47d6be210743327ece41cc6e1654_r.png" width="400" ></div>

### 组件名称
设置组件名称，用于在图层中显示组件的名称。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_9dd1f05250b3b67d67542444a074d0b0_r.png" width="400" ></div>

### 组件尺寸
设置组件的宽度和高度，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_885e203ec16216e75397b579fab63c52_r.png" width="400" ></div>

### 组件位置
设置组件在大屏中的位置，通过横纵坐标来定义，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_609d7332fba03f455f911a330b7072bf_r.png" width="400" ></div>

### 不透明度
设置组件不透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_46b7d9900528965d248e22f65ad59120_r.png" width="400" ></div>

### 旋转
设置组件在图层中的旋转角度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_242150a36adf8923369be3a23a58c969_r.png" width="400" ></div>

### 验证方式
设置组件验证方式。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_8e6f4da97939e13b851c18e06f2beab4_r.png" width="400" ></div>

### 接口地址
设置组件接口地址，通过组件点击获取验证码按钮触发。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_8e6f4da97939e13b851c18e06f2beab4_r.png" width="400" ></div>

## 交互参数说明
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_dd1baf853937e67c71aebc33e762c74d_r.png" width="400" ></div>

+ 显示：设置组件显隐。
+ 位置：设置组件位置。
+ 尺寸：设置组件宽高。
+ 验证状态：设置组件状态。

## 交互事件说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_cd90ba675fdef99802751dd46ad37940_r.png" width="400" ></div>

+ 点击事件：组件点击触发。
+ 位置变更：组件位置发生改变后，触发位置变更。
+ 尺寸变更：组件尺寸发生改变后，触发尺寸变更。
+ 验证成功：组件尺寸发生改变后，验证码验证成功触发此事件。
+ 验证失败：组件尺寸发生改变后，验证码验证失败触发此事件。

## 动画说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_07c85f3ac8c784111905bb6d3e91dcd6_r.png" width="400" ></div>

+ 动画名称：可设置名称内容；
+ 触发方式：可设置不同的触发动作触发动画；
+ 动画类型：可选择不同的动画类型触发动画；
+ 动作类型：可选择不同的动作类型触发动画；
+ 运动方式：可选择不同的运动方式触发动画；
+ 延迟播放：可设置延迟动画多长时间后触发动画；
+ 动画时长：可设置动画的运动时间；
+ 重复播放：可设置重复播放的方式；
+ 重复次数：重复播放 方式选择重复后，可设置重复次数，指改动画重复的次数；
+ 运动行为：可选择不同的运动方式；
+ 结束状态：可选择不同结束状态的方式。