## 基本概念
- **三维地球**，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_5e1e9b7449b86c54909330466ec0d58c_r.png" width="400" ></div>
&emsp;&emsp;
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_46eb157b0c597f5df6816bdcb1805ebb_r.png" width="400" ></div>

## 属性说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_2d2604ad89af68189a4ae6e0c170d5ab_r.png" width="400" ></div>
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_6c28916b2b1e611b9293cf66f2493690_r.png" width="400" ></div>

### 组件名称
设置组件名称，用于在图层中显示组件的名称。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_cc52b52c8a38f4bc75b9218dd1c94610_r.png" width="400" ></div>

### 组件尺寸
设置组件的宽度和高度，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_e91df05734681fe538a2bd42675e2ef1_r.png" width="400" ></div>

### 组件位置
设置组件在大屏中的位置，通过横纵坐标来定义，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_609d7332fba03f455f911a330b7072bf_r.png" width="400" ></div>

### 旋转
设置组件在图层中的旋转角度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_242150a36adf8923369be3a23a58c969_r.png" width="400" ></div>

### 不透明度
设置组件不透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_1559fe451094ca5c698172c682a3f2c9_r.png" width="400" ></div>

### 可操作
设置组件在非预览模式下图层是否可拖拽。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_bddb7db3f485ae071407ffb710e55ff7_r.png" width="400" ></div>

### 可见
设置图层中的场景、地球是否可见。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_967949529c5857cc6a9a6fdba40bd43d_r.png" width="400" ></div>

### 初始视图
设置图层在预览模式下的范围。
飞行至：在预览模式下飞行到指定范围是否添加飞行动画。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_6dff371e8e8bd072811fdc4c8ea28aa5_r.png" width="400" ></div>

### 地球背景
设置地球背景的背景颜色。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_3f4db3ef22fa9367549c1a67589877d8_r.png" width="400" ></div>

### 自然环境
设置地球星空、月亮、太阳、大气层、晨昏线是否显示。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_bf3393fae942ceaf75f1b1d412d51027_r.png" width="400" ></div>

### 全局设置
设置图层光源、泛光、阴影。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_5500afdc63b39552369222ba65928411_r.png" width="400" ></div>


## 交互参数说明
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_efd06e75c230262a556748298353a66b_r.png" width="400" ></div>

+ 显示：设置组件显隐。
+ 位置：设置组件位置。
+ 尺寸：设置组件宽高。
+ 星空：设置组件星空显隐。
+ 太阳：设置组件太阳显隐。
+ 月亮：设置组件月亮显隐。
+ 大气层：设置组件大气层显隐。
+ 背景：设置组件背景显隐。
+ 切割区域：设置组件切割区域。

## 交互事件说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_1443ea96409dfb1d8d2f65e585b2e493_r.png" width="400" ></div>

+ 点击事件：组件点击触发。
+ 位置变更：组件位置发生改变后，触发位置变更。
+ 尺寸变更：组件尺寸发生改变后，触发尺寸变更。
+ afterLoading：组件场景加载完成调用。

## 动画说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_07c85f3ac8c784111905bb6d3e91dcd6_r.png" width="400" ></div>

+ 动画名称：可设置名称内容；
+ 触发方式：可设置不同的触发动作触发动画；
+ 动画类型：可选择不同的动画类型触发动画；
+ 动作类型：可选择不同的动作类型触发动画；
+ 运动方式：可选择不同的运动方式触发动画；
+ 延迟播放：可设置延迟动画多长时间后触发动画；
+ 动画时长：可设置动画的运动时间；
+ 重复播放：可设置重复播放的方式；
+ 重复次数：重复播放 方式选择重复后，可设置重复次数，指改动画重复的次数；
+ 运动行为：可选择不同的运动方式；
+ 结束状态：可选择不同结束状态的方式。