## 基本概念
- **天地图图层**，用于配置三维地球组件内的天地图数据，属隐形配置型组件。如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_e855c4cf97b1fada3ebba3bb6acd53a7_r.png" width="400" ></div>

## 属性说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_82264fb7d24bb17c7d92f683d8a4f643_r.png" width="400" ></div>

### 组件名称
设置组件名称，用于在图层中显示组件的名称。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_7b7cb0a84716978ac67caf722afd145c_r.png" width="400" ></div>

### 组件尺寸
设置组件的宽度和高度，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_e91df05734681fe538a2bd42675e2ef1_r.png" width="400" ></div>

### 组件位置
设置组件在大屏中的位置，通过横纵坐标来定义，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_609d7332fba03f455f911a330b7072bf_r.png" width="400" ></div>

### 旋转
设置组件在图层中的旋转角度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_242150a36adf8923369be3a23a58c969_r.png" width="400" ></div>

### 不透明度
设置组件不透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_1559fe451094ca5c698172c682a3f2c9_r.png" width="400" ></div>

### 三维地球
选择区域限制的数据作用的地图组件。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_3fd5d6c71a609d083bc8b22fafb59d5a_r.png" width="400" ></div>

### 认证码
设置天地图的认证码。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_ea397fe16991c9fea735f14cf7da6ae7_r.png" width="400" ></div>

### 投影方式
设置天地图的投影方式。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_b76ec8e9b341877afcf8892257b91a34_r.png" width="400" ></div>

### 数据类型

设置天地图的数据类型。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_390afa30ccf1bf8d2964d49b5022b194_r.png" width="400" ></div>

### 数据类型
设置天地图缩放级别。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_ff4b94a60607d05ed449d34807f639ff_r.png" width="400" ></div>


## 交互参数说明
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_816ae2a30d673b2d1d23bef4649235fd_r.png" width="400" ></div>

+ 显示：设置组件显隐。
+ 位置：设置组件位置。
+ 尺寸：设置组件宽高。
+ 可见：设置组件数据的显隐。

## 交互事件说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_689c5434ee005470729fc43d82bfd75f_r.png" width="400" ></div>

+ 点击事件：组件点击触发。
+ 位置变更：组件位置发生改变后，触发位置变更。
+ 尺寸变更：组件尺寸发生改变后，触发尺寸变更。
+ afterLoading：组件数据加载完成调用。

## 动画说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_07c85f3ac8c784111905bb6d3e91dcd6_r.png" width="400" ></div>

+ 动画名称：可设置名称内容；
+ 触发方式：可设置不同的触发动作触发动画；
+ 动画类型：可选择不同的动画类型触发动画；
+ 动作类型：可选择不同的动作类型触发动画；
+ 运动方式：可选择不同的运动方式触发动画；
+ 延迟播放：可设置延迟动画多长时间后触发动画；
+ 动画时长：可设置动画的运动时间；
+ 重复播放：可设置重复播放的方式；
+ 重复次数：重复播放 方式选择重复后，可设置重复次数，指改动画重复的次数；
+ 运动行为：可选择不同的运动方式；
+ 结束状态：可选择不同结束状态的方式。