## 基本概念
- **省市地图**，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_377b14d1b5a40cb8649791f6e4c421b9_r.png" width="400" ></div>
&emsp;&emsp;
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_03fd852a30cde363c96d74840d3a9fc5_r.png" width="400" ></div>

## 属性说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_24bd1674432031096e224c3bc0a67475_r.png" width="400" ></div>

### 组件名称
设置组件名称，用于在图层中显示组件的名称。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_5e2c65247065fe8c43f5a967cc79aef8_r.png" width="400" ></div>

### 组件尺寸
设置组件的宽度和高度，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_e91df05734681fe538a2bd42675e2ef1_r.png" width="400" ></div>

### 组件位置
设置组件在大屏中的位置，通过横纵坐标来定义，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_609d7332fba03f455f911a330b7072bf_r.png" width="400" ></div>

### 不透明度
设置组件不透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_46b7d9900528965d248e22f65ad59120_r.png" width="400" ></div>

### 旋转
设置组件在图层中的旋转角度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_242150a36adf8923369be3a23a58c969_r.png" width="400" ></div>

### 背景颜色
设置组件背景颜色与背景颜色透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_ac4404b4b10c4d57355ef135d55f5056_r.png" width="400" ></div>

### 背景图片
设置组件背景图片可上传或输入图片地址，设置后可预览或清空背景图片。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_af2a28183b7b2b4710b0df82b13d1492_r.png" width="400" ></div>
&emsp;&emsp;

- 填充方式：可选择背景图填充方式。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_ae9ebc059370de9d7f5f263aca0a14c1_r.png" width="400" ></div>

### 过滤
可选择需要过滤的省市。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_11874e31b6ac8606699d50d8fa30ba9d_r.png" width="400" ></div>

### 城市选择
选择过滤出省市然后选择该省市中想要选择的城市。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_5f89650bc9f0a60d5fda39805b63aece_r.png" width="400" ></div>

## 样式说明

### 板块颜色
设置地图板块的底色。
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_94c8c39c297e65f5b52c7ae22ebaa2c2_r.png" width="400" ></div>

### 边界颜色
设置板块的边框颜色。
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_f00a6cf23672cca53dec2f5d7dde98ca_r.png" width="400" ></div>

### 边界宽度
设置板块的边框的宽度。
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_1b8432be1e4bbe46b4ffc896e0f927d4_r.png" width="400" ></div>

### 展示名称
展示每个板块的名称。
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_34e0f49aef1db77655677399d266a9b9_r.png" width="400" ></div>

### 字体颜色
设置板块文字颜色。
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_0bdc18af505e49e652ac1f59e33211d6_r.png" width="400" ></div>

### 字体库
设置板块的字体类型。
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_f89c5e665b59332a4adc6df8de3be52b_r.png" width="400" ></div>

### 字体大小
设置板块的文字大小。
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_1edaa339447e5bd28b83b92a1f888146_r.png" width="400" ></div>

## 图层说明

图层类型为点状图层

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_37c7c2b8ea035ff72a37abf386c9e919_r.png" width="400" ></div>

+ 图层名称：可设置图层的名称内容；
+ 图层数据：通过模板对应的格式上传对应的数据格式；
+ 图层类型：可选择不同的图层类型在地图上进行显示；
+ 标记样式：可设置点状图层在地图上的展示方式；
+ 点颜色：可设置点状图层的自地图上标记的点的颜色；
+ 显示标签：可设置点状图层的自地图上标记的点是否显示文字；
+ 标签大小：标签的文字大小；
+ 标签颜色：标签的文字颜色。

图层类型为飞线图层

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_1e3edf3d4e08e7477d44c6cb45ade43a_r.png" width="400" ></div>

+ 图层名称：可设置图层的名称内容；
+ 图层数据：通过模板对应的格式上传对应的数据格式；
+ 图层类型：可选择不同的图层类型在地图上进行显示；
+ 标记图形：可设置飞线图层在地图上的展示方式；
+ 标记大小：可设置标记图形大小；
+ 飞线颜色：设置飞线图表的颜色；
+ 线条宽度：设置飞线线条的宽度；
+ 尾迹透明度：设置飞线线条的尾迹透明度；
+ 尾迹弧度：设置飞线线条的弧度；
+ 尾迹速度：显示每条飞线线条上的标记图形的飞行速度；
+ 尾迹长度：显示每条飞线线条上的标记图形形式的尾迹长度。


3.图层类型为面状图层

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_fe4a66cedcaee088a143db4b5f7b0786_r.png" width="400" ></div>

+ 图层名称：可设置图层的名称内容；
+ 图层数据：通过模板对应的格式上传对应的数据格式；
+ 图层类型：可选择不同的图层类型在地图上进行显示；
+ 板块颜色：可设置图层数据选中的板块颜色。


## 交互参数说明
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_977fa099484d3b593fb6ef25b142805d_r.png" width="400" ></div>

+ 显示：设置组件显隐。
+ 位置：设置组件位置。
+ 尺寸：设置组件宽高。

## 交互事件说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_cfd04e67b7791b8c450534adb3e26e81_r.png" width="400" ></div>

+ 点击事件：组件点击触发。
+ 位置变更：组件位置发生改变后，触发位置变更。
+ 尺寸变更：组件尺寸发生改变后，触发尺寸变更。

## 动画说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_07c85f3ac8c784111905bb6d3e91dcd6_r.png" width="400" ></div>

+ 动画名称：可设置名称内容；
+ 触发方式：可设置不同的触发动作触发动画；
+ 动画类型：可选择不同的动画类型触发动画；
+ 动作类型：可选择不同的动作类型触发动画；
+ 运动方式：可选择不同的运动方式触发动画；
+ 延迟播放：可设置延迟动画多长时间后触发动画；
+ 动画时长：可设置动画的运动时间；
+ 重复播放：可设置重复播放的方式；
+ 重复次数：重复播放 方式选择重复后，可设置重复次数，指改动画重复的次数；
+ 运动行为：可选择不同的运动方式；
+ 结束状态：可选择不同结束状态的方式。