## 基本概念

+ **城市列表**，支持下拉列表中选择省份、城市，展示选中的城市列表。如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_1862737d63b076e07cfd7e09ddd43944_r.png" width="400" ></div>

## 属性说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_41eb65fb1c14797e765397caa822407d_r.png" width="400" ></div>

### 组件名称
设置组件名称，用于在图层中显示组件的名称。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_9168ffa6490cca7eeb7e91eeaa6e38be_r.png" width="400" ></div>

### 组件尺寸
设置组件的宽度和高度，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_aa11ee812681af07d2c96e605f500566_r.png" width="400" ></div>

### 组件位置
设置组件在大屏中的位置，通过横纵坐标来定义，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_609d7332fba03f455f911a330b7072bf_r.png" width="400" ></div>

### 不透明度
设置组件不透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_e46386b7c59e69d48074fd396fc76c66_r.png" width="400" ></div>

### 旋转
设置组件在图层中的旋转角度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_242150a36adf8923369be3a23a58c969_r.png" width="400" ></div>

### 过滤
过滤出想要选择的省市。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_cca4bfb1c2423b3927a460a412da797d_r.png" width="400" ></div>

### 城市
选择过滤出的省市中的城市。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_f0ea24b4011772f1af2e7cc8405bf24f_r.png" width="400" ></div>

### 格式
选择不同的格式展示在组件中。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_e0c75bd254518fd2d49dd1cc3c1ae04c_r.png" width="400" ></div>

## 样式说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_5bfa5d87ca646c0152cf9c6f4b12a5d7_r.png" width="400" ></div>

### 背景颜色
设置组件的背景颜色。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_0f2578999f309ef5e0cb063a939bfb89_r.png" width="400" ></div>

### 字体库
可选择标题文字字体。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_1ada7ac7804db2d8567641e4d4ab39f5_r.png" width="400" ></div>


### 字体大小
可选择或调整标题文字大小。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_98588876ea9dbdf0c7a887c123c5a9cb_r.png" width="400" ></div>

### 字体颜色
设置标题文字颜色与透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_7ed6bb696e07012693073190194c31c9_r.png" width="400" ></div>

### 字体样式
设置标题文字是否为粗体与斜体。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_a0cb7a5c08e90d1b865275ac76d6be25_r.png" width="400" ></div>

### 字体阴影
设置标题文字阴影是否开启。

开启后可设置阴影颜色与阴影大小。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_5a73a28d0fc46dfd65f064bbd94eaf26_r.png" width="400" ></div>

## 交互参数说明
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_3de3a960e0c17ff4941bd1f558c9db82_r.png" width="400" ></div>

+ 显示：设置组件显隐。
+ 位置：设置组件位置。
+ 尺寸：设置组件宽高。

## 交互事件说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_5d52dd7dd0deca7ea338511731288edc_r.png" width="400" ></div>

+ 点击事件：组件点击触发。
+ 位置变更：组件位置发生改变后，触发位置变更。
+ 尺寸变更：组件尺寸发生改变后，触发尺寸变更。


## 动画说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_07c85f3ac8c784111905bb6d3e91dcd6_r.png" width="400" ></div>

+ 动画名称：可设置名称内容；
+ 触发方式：可设置不同的触发动作触发动画；
+ 动画类型：可选择不同的动画类型触发动画；
+ 动作类型：可选择不同的动作类型触发动画；
+ 运动方式：可选择不同的运动方式触发动画；
+ 延迟播放：可设置延迟动画多长时间后触发动画；
+ 动画时长：可设置动画的运动时间；
+ 重复播放：可设置重复播放的方式；
+ 重复次数：重复播放 方式选择重复后，可设置重复次数，指改动画重复的次数；
+ 运动行为：可选择不同的运动方式；
+ 结束状态：可选择不同结束状态的方式。