## 基本概念
- **城市天气**，支持显示选中城市的天气、温度。 如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_54d61394430916d68119634e91817a7c_r.png" width="400" ></div>

## 属性说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_c0fc4eb2cc42dbd056f21e43b4b1f473_r.png" width="400" ></div>

### 组件名称
设置组件名称，用于在图层中显示组件的名称。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_7b13e300c2d16f2370664ba2ebff73c9_r.png" width="400" ></div>

### 组件尺寸
设置组件的宽度和高度，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_386c1900d50ee5d09911e2d904e12280_r.png" width="400" ></div>

### 组件位置
设置组件在大屏中的位置，通过横纵坐标来定义，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_609d7332fba03f455f911a330b7072bf_r.png" width="400" ></div>

### 不透明度
设置组件不透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_46b7d9900528965d248e22f65ad59120_r.png" width="400" ></div>

### 旋转
设置组件在图层中的旋转角度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_242150a36adf8923369be3a23a58c969_r.png" width="400" ></div>

### 省市选择
可选择需要设置天气的省。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_21894381a37b73a6288e710a0700aa4c_r.png" width="400" ></div>

### 城市选择
可选择需要设置天气的城市。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_86c199065a137fa898608c78fd5d0782_r.png" width="400" ></div>




## 样式说明
### 背景颜色
设置天气的的背景颜色。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_d6e6620fa6ff9489b692d69255417e2d_r.png" width="400" ></div>

### 字体库
可选择标题文字字体。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_692f7e20c724b8b2c5dfd1742a52b963_r.png" width="400" ></div>


### 字体大小
可选择或调整标题文字大小。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_98588876ea9dbdf0c7a887c123c5a9cb_r.png" width="400" ></div>

### 字体颜色
设置标题文字颜色与透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_7ed6bb696e07012693073190194c31c9_r.png" width="400" ></div>

### 字体样式
设置标题文字是否为粗体与斜体。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_a0cb7a5c08e90d1b865275ac76d6be25_r.png" width="400" ></div>

### 字体阴影
设置标题文字阴影是否开启。

开启后可设置阴影颜色与阴影大小。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_5a73a28d0fc46dfd65f064bbd94eaf26_r.png" width="400" ></div>

### 图标间距
设置标题文字是否为粗体与斜体。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_104191ef34da7beb22f7f5efaad94dad_r.png" width="400" ></div>

### 图标颜色
设置图标的颜色。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_865fa4bc83fc42e4aac7a4ab18df728e_r.png" width="400" ></div>

### 图标大小
设置图标的大小。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_53a2c889ad1698fc76e29fa24c51f29c_r.png" width="400" ></div>


## 交互参数说明
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_f3c54e9143f4d0922c8c8fd989325f2c_r.png" width="400" ></div>

+ 显示：设置组件显隐。
+ 位置：设置组件位置。
+ 尺寸：设置组件宽高。

## 交互事件说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_2994da9dc36d4cb95221edc6608cda14_r.png" width="400" ></div>

+ 点击事件：组件点击触发。
+ 位置变更：组件位置发生改变后，触发位置变更。
+ 尺寸变更：组件尺寸发生改变后，触发尺寸变更。


## 动画说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_07c85f3ac8c784111905bb6d3e91dcd6_r.png" width="400" ></div>

+ 动画名称：可设置名称内容；
+ 触发方式：可设置不同的触发动作触发动画；
+ 动画类型：可选择不同的动画类型触发动画；
+ 动作类型：可选择不同的动作类型触发动画；
+ 运动方式：可选择不同的运动方式触发动画；
+ 延迟播放：可设置延迟动画多长时间后触发动画；
+ 动画时长：可设置动画的运动时间；
+ 重复播放：可设置重复播放的方式；
+ 重复次数：重复播放 方式选择重复后，可设置重复次数，指改动画重复的次数；
+ 运动行为：可选择不同的运动方式；
+ 结束状态：可选择不同结束状态的方式。