## 基本概念
- **双滑块**，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_fef8197d8aac5848299ad50643c53dec_r.png" width="400" ></div>

## 属性说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_e9150a752eb8c6fec2d07f46f167e01c_r.png" width="400" ></div>

### 组件名称
设置组件名称，用于在图层中显示组件的名称。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_5ccd6a891288c6160874b4261a6f6cdd_r.png" width="400" ></div>

### 组件尺寸
设置组件的宽度和高度，单位为 px

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_386c1900d50ee5d09911e2d904e12280_r.png" width="400" ></div>

### 组件位置
设置组件在大屏中的位置，通过横纵坐标来定义，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_609d7332fba03f455f911a330b7072bf_r.png" width="400" ></div>

### 不透明度
设置组件不透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_46b7d9900528965d248e22f65ad59120_r.png" width="400" ></div>

### 旋转
设置组件在图层中的旋转角度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_242150a36adf8923369be3a23a58c969_r.png" width="400" ></div>

### 步长
设置移动滚动条时每步的间隔。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_4dff7ca23968bd1eb71c66d6b8f80eba_r.png" width="400" ></div>

### 默认值
设置滚动条的默认数值。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_de1d19198f309bbd77bca6ffb893ef36_r.png" width="400" ></div>

### 刻度标记
设置组件刻度的显隐。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_52cd8878a8c51a07e54bd93620b73842_r.png" width="400" ></div>

### 禁用
设置是否开启禁用模式，禁用模式下，不能对滚动条进行拖拽改变数值。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_b63bdb8e2743e9d76596487450a28369_r.png" width="400" ></div>

### 布局
设置滚动条的布局方向。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_61c33e549ae213d1064a92b96af323b8_r.png" width="400" ></div>

### 反转
每个按钮类型有三种状态，可供需求选择。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_f1d8d5efec887b2d15dbda336b6d36d3_r.png" width="400" ></div>

### 最大值
设置滚动条的最大值。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_1bb7741fa5f7d578e4c272788c9bba31_r.png" width="400" ></div>

### 最小值
设置滚动条的最小值。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_0283f05a401ac4f08314733a7a439e39_r.png" width="400" ></div>

### 输入框
是否展示输入框。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_eaa6a7acd463fbfb5d88819d6013873d_r.png" width="400" ></div>

## 样式说明
### 轴体
设置单滑块的背景颜色。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_39571dd4eeb36a763f0de8e5a199c8e2_r.png" width="400" ></div>

### 进度
设置滚动条进度的背景色。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_45761256777dc00835093ecd61523383_r.png" width="400" ></div>

### 标记点
设置标记点的背景色。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_4ae0a9892bc1c58e0174963e83aa95aa_r.png" width="400" ></div>

### 标签
设置刻度标签的样式。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_638f4ae002c37edc5b34095ac7a7fd79_r.png" width="400" ></div>

+ 字体库：可设置字体类型；
+ 字体大小：可设置文字的大小；
+ 字体颜色：可设置文字的颜色；
+ 字体样式：可设置文字加粗和斜体；
+ 字体阴影：可设置是否开启字体阴影；
+ 阴影颜色：可设置阴影的颜色；
+ 阴影大小：可设置阴影的大小。

### 输入框

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_b8819ebe3f05762ce28974c7830a075f_r.png" width="400" ></div>

+ 背景颜色：可设置输入框的背景颜色；
+ 字体库：可设置字体类型；
+ 字体大小：可设置文字的大小；
+ 字体颜色：可设置文字的颜色；
+ 字体样式：可设置文字加粗和斜体；
+ 字体阴影：可设置是否开启字体阴影；
+ 阴影颜色：可设置阴影的颜色；
+ 阴影大小：可设置阴影的大小。

## 数据说明
数据结构：描述每一个数字字段的名称、映射、数据类型。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_204da172293f9cba29003fcfd949c9af_r.png" width="400" ></div>

- 源数据：编辑json格式数据，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_2ed462d64b2b01cd7112a67a94835275_r.png" width="400" ></div>

## 交互参数说明
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_06746fd1ef8b10b6851f6e1d14bd8cf5_r.png" width="400" ></div>

+ 显示：设置组件显隐。
+ 位置：设置组件位置。
+ 尺寸：设置组件宽高。

## 交互事件说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_1dad1edffb0c915cc617340ab5bf6b25_r.png" width="400" ></div>

+ 点击事件：组件点击触发。
+ 位置变更：组件位置发生改变后，触发位置变更。
+ 尺寸变更：组件尺寸发生改变后，触发尺寸变更。

## 动画说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_07c85f3ac8c784111905bb6d3e91dcd6_r.png" width="400" ></div>

+ 动画名称：可设置名称内容；
+ 触发方式：可设置不同的触发动作触发动画；
+ 动画类型：可选择不同的动画类型触发动画；
+ 动作类型：可选择不同的动作类型触发动画；
+ 运动方式：可选择不同的运动方式触发动画；
+ 延迟播放：可设置延迟动画多长时间后触发动画；
+ 动画时长：可设置动画的运动时间；
+ 重复播放：可设置重复播放的方式；
+ 重复次数：重复播放 方式选择重复后，可设置重复次数，指改动画重复的次数；
+ 运动行为：可选择不同的运动方式；
+ 结束状态：可选择不同结束状态的方式。