## 基本概念
- **按钮**，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_5542309499fa7372995fe9c24eeb30dc_r.png" width="400" ></div>

## 属性说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_07b21dc07b5d466dec1ef691661b081b_r.png" width="400" ></div>

### 组件名称
设置组件名称，用于在图层中显示组件的名称。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_8c8b573c4087cded741f3258fc4f1aa5_r.png" width="400" ></div>

### 组件尺寸
设置组件的宽度和高度，单位为 px

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_885e203ec16216e75397b579fab63c52_r.png" width="400" ></div>

### 组件位置
设置组件在大屏中的位置，通过横纵坐标来定义，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_609d7332fba03f455f911a330b7072bf_r.png" width="400" ></div>

### 不透明度
设置组件不透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_46b7d9900528965d248e22f65ad59120_r.png" width="400" ></div>

### 旋转
设置组件在图层中的旋转角度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_242150a36adf8923369be3a23a58c969_r.png" width="400" ></div>

### 禁用

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_e259dd0a50cdd61b4013b839a0501bfe_r.png" width="400" ></div>

### 选中状态

设置按钮是否选中。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_e259dd0a50cdd61b4013b839a0501bfe_r.png" width="400" ></div>

### 文字
设置组件按钮的文字内容。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_9d1d2cd5eefe0dd8b76be0a0810f107c_r.png" width="400" ></div>

### 类型
设置不同的按钮类型。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_44b2649b354a3c3fa6d63f81c3c37b03_r.png" width="400" ></div>

### 状态
每个按钮类型有三种状态，可供需求选择。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_f1d8d5efec887b2d15dbda336b6d36d3_r.png" width="400" ></div>

### 图标

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_d5d58c224d0c9d166781b908461efd6d_r.png" width="400" ></div>

### 排列

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_00795a3d0245c7bda58436d8da03380f_r.png" width="400" ></div>

## 样式说明
### 边框颜色
设置按钮的边框颜色。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_3df4c71390a15c54c9abd4aaae001704_r.png" width="400" ></div>

### 边框宽度
设置按钮边框的宽度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_3a6d585fcadd83566d29ac813200ea9d_r.png" width="400" ></div>

### 圆角边框
设置按钮的圆角大小。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_555cc4fcf695e68103ef33c3b9eb4e51_r.png" width="400" ></div>

### 背景颜色
设置按钮的背景色。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_26957936a33ea23cb2949edb7ec17f8e_r.png" width="400" ></div>

### 背景图片

设置组件背景图片可上传或输入图片地址，设置后可预览或清空背景图片。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_af2a28183b7b2b4710b0df82b13d1492_r.png" width="400" ></div>
&emsp;&emsp;

- 填充方式：可选择背景图填充方式。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_c8a744388e0a76eac108d2413550f5b4_r.png" width="400" ></div>

### 字体样式

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_09569ba63eaf5cb0dc227bb69beb347b_r.png" width="400" ></div>

- 字体库：可设置字体类型；
- 字体大小：可设置文字的大小；
- 字体颜色：可设置文字的颜色；
- 字体样式：可设置文字加粗和斜体；
- 字体阴影：可设置是否开启字体阴影；
- 阴影颜色：可设置阴影的颜色；
- 阴影大小：可设置阴影的大小。

### 悬浮样式

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_a6f5c5deed17830e1cf89e601b9cec9e_r.png" width="400" ></div>

- 字体大小：可设置文字的大小；
- 字体颜色：可设置文字的颜色；
- 背景颜色：可设置鼠标划上后的背景颜色；
- 水平位置：可设置鼠标划上后的边框颜色。

### 选中样式

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_f7753dd40e54dd925797b6f1874c3a1a_r.png" width="400" ></div>

- 字体库：设置字体类型。
- 字体大小：可设置文字的大小；
- 字体颜色：可设置文字的颜色；
- 字体样式：可设置文字加粗、斜体。
- 阴影颜色：可设置阴影的颜色；
- 阴影大小：可设置阴影的大小。
- 背景颜色：可设置鼠标划上后的背景颜色；
- 边框颜色：设置边框的颜色。


## 交互参数说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_5369bf708ec7c2754718890bbd2fd925_r.png" width="400" ></div>

+ 显示：设置组件显隐。
+ 位置：设置组件位置。
+ 尺寸：设置组件宽高。
+ 禁用：设置组件禁用状态。
+ 选中：设置组件选中状态。

## 交互事件说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_a962e5b6ecd7d8aa90a2c645d4e34d94_r.png" width="400" ></div>

+ 点击事件：组件点击触发。
+ 位置变更：组件位置发生改变后，触发位置变更。
+ 尺寸变更：组件尺寸发生改变后，触发尺寸变更。

## 动画说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_07c85f3ac8c784111905bb6d3e91dcd6_r.png" width="400" ></div>

+ 动画名称：可设置名称内容；
+ 触发方式：可设置不同的触发动作触发动画；
+ 动画类型：可选择不同的动画类型触发动画；
+ 动作类型：可选择不同的动作类型触发动画；
+ 运动方式：可选择不同的运动方式触发动画；
+ 延迟播放：可设置延迟动画多长时间后触发动画；
+ 动画时长：可设置动画的运动时间；
+ 重复播放：可设置重复播放的方式；
+ 重复次数：重复播放 方式选择重复后，可设置重复次数，指改动画重复的次数；
+ 运动行为：可选择不同的运动方式；
+ 结束状态：可选择不同结束状态的方式。