## 基本概念
- **评分**，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_bd6483e9be52b10eeb5e99bea4803aae_r.png" width="400" ></div>

## 属性说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_b506d139363c4dc77aa6e8c2cec61621_r.png" width="400" ></div>

### 组件名称
设置组件名称，用于在图层中显示组件的名称。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_437a866ac39493f529f7bfc9679d2583_r.png" width="400" ></div>

### 组件尺寸
设置组件的宽度和高度，单位为 px

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_49b4b682dc02c0160c954fe8a6466da4_r.png" width="400" ></div>

### 组件位置
设置组件在大屏中的位置，通过横纵坐标来定义，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_609d7332fba03f455f911a330b7072bf_r.png" width="400" ></div>

### 不透明度
设置组件不透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_46b7d9900528965d248e22f65ad59120_r.png" width="400" ></div>

### 旋转
设置组件在图层中的旋转角度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_242150a36adf8923369be3a23a58c969_r.png" width="400" ></div>

### 评分制
设置评分的类型。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_bc449685ff8eb26f72f30f1388696e05_r.png" width="400" ></div>

### 评分等级
选择评分的等级。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_ccacdfd4967825725a19b402ce7bdb48_r.png" width="400" ></div>

### 默认图标
设置适应的图标，如果没有合适的，则可以选择自定义图标属性中的单色图标。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_d2621eca9d42b4046c509646d9b09cb5_r.png" width="400" ></div>

### 图标大小
选择评分的等级。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_3f1aaf5d1e78f3fcb7a4497f3862c929_r.png" width="400" ></div>

### 图标颜色
选择评分的等级。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_fcd69b7b9fc199d5bfc9a72faf078fd8_r.png" width="400" ></div>

### 自定义图标
选择自定义图标作为评分的图标。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_8bed2a1f392cc3f47d2ac664510e32d8_r.png" width="400" ></div>

## 交互参数说明
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_152a5acbeb5f0038b05632c6efde3ab5_r.png" width="400" ></div>

+ 显示：设置组件显隐。
+ 位置：设置组件位置。
+ 尺寸：设置组件宽高。

## 交互事件说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_639182fe29dd0edb10a285e4630bce89_r.png" width="400" ></div>

+ 点击事件：组件点击触发。
+ 位置变更：组件位置发生改变后，触发位置变更。
+ 尺寸变更：组件尺寸发生改变后，触发尺寸变更。


## 动画说明


<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_07c85f3ac8c784111905bb6d3e91dcd6_r.png" width="400" ></div>

+ 动画名称：可设置名称内容；
+ 触发方式：可设置不同的触发动作触发动画；
+ 动画类型：可选择不同的动画类型触发动画；
+ 动作类型：可选择不同的动作类型触发动画；
+ 运动方式：可选择不同的运动方式触发动画；
+ 延迟播放：可设置延迟动画多长时间后触发动画；
+ 动画时长：可设置动画的运动时间；
+ 重复播放：可设置重复播放的方式；
+ 重复次数：重复播放 方式选择重复后，可设置重复次数，指改动画重复的次数；
+ 运动行为：可选择不同的运动方式；
+ 结束状态：可选择不同结束状态的方式。