## 基本概念
- **下拉框**，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_4fdf27b3d822101ea23cbe0ada316ff7_r.png" width="400" ></div>

## 属性说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_a62c1ba81e519bd33004cc2a60b99975_r.png" width="400" ></div>

### 组件名称
设置组件名称，用于在图层中显示组件的名称。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_a95cca3e60aaa66a2482ce4eb962fa5e_r.png" width="400" ></div>

### 组件尺寸
设置组件的宽度和高度，单位为 px

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_91b84aa984e9e009c61035c73f59f869_r.png" width="400" ></div>

### 组件位置
设置组件在大屏中的位置，通过横纵坐标来定义，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_609d7332fba03f455f911a330b7072bf_r.png" width="400" ></div>

### 不透明度
设置组件不透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_46b7d9900528965d248e22f65ad59120_r.png" width="400" ></div>

### 旋转
设置组件在图层中的旋转角度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_242150a36adf8923369be3a23a58c969_r.png" width="400" ></div>

### 禁用
设置下拉框组件是否禁用。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_f85513fad48d7210ef1dcb3b39dc8443_r.png" width="400" ></div>

### 尺寸
设置组件的宽度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_b3b5c28d9a515660dbb93af2fb04d094_r.png" width="400" ></div>

### 提示文字
组件没有数值是，显示的提示文字。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_522409123374d891320420c732134f52_r.png" width="400" ></div>

### 多选
设置是否可以多选下拉框中的内容。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_9e365bdc1ba3a121c3f1ebf65e3f0f35_r.png" width="400" ></div>

## 样式说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_83962bd0f7f7443e5cdc3613bd99a29e_r.png" width="400" ></div>


### 字体颜色
设置组件中的文字的字体颜色。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_3bbb8ad25cb891976f6b168ddcde14c8_r.png" width="400" ></div>

### 选框背景色
设置组件背景颜色。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_b7ba50498c56d4e211217bda0ca14b4f_r.png" width="400" ></div>

### 边框大小

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_51ca9c3a4bd4ea61d9723e962e4143c0_r.png" width="400" ></div>

### 边框圆角

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_033499101d6eb919d7122486fee87747_r.png" width="400" ></div>

### 边框类型

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_64972a76ad0ff0a443e3b9045f12185c_r.png" width="400" ></div>

### 边框颜色

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_07aa0771a8bf66a0748131fae2aa4b06_r.png" width="400" ></div>

### 多选框颜色

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_f119285a3292307d64db93adee8d24ee_r.png" width="400" ></div>

### 多选标签边框色

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_aeacd292cc6ca9e8f03756c7dd49de9a_r.png" width="400" ></div>

### 选项字体大小
设下先拉框选项的字体大小。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_72fe2f601d0ca099b1225df25d877338_r.png" width="400" ></div>

### 选项高度
设下先拉框选项中每一项的高度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_d41950777c068a2b3496b9ecb3cc91a6_r.png" width="400" ></div>

## 数据说明
数据结构：描述每一个数字字段的名称、映射、数据类型。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_c8e04db742e2eb3b9d897cbf1f9e80db_r.png" width="400" ></div>

- 源数据：编辑json格式数据，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_1724fd73ce6cf52400c123ff3bcc95d0_r.png" width="400" ></div>

## 交互参数说明
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_af25b44b69027778951343e795aa77e7_r.png" width="400" ></div>

+ 显示：设置组件显隐。
+ 位置：设置组件位置。
+ 尺寸：设置组件宽高。
+ 禁用：设置组件禁用状态。
+ 值：修改下拉框选中数据。
+ 可选项：设置组件可选项列表。

## 交互事件说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_902a5620b2009005ee19d2d11599b4c3_r.png" width="400" ></div>

+ 点击事件：组件点击触发。
+ 位置变更：组件位置发生改变后，触发位置变更。
+ 尺寸变更：组件尺寸发生改变后，触发尺寸变更。
+ 改变事件：组件选中值发生改变后，触发此事件。

## 动画说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_64af2f6f8a6c5153981af9fe2862d697_r.png" width="400" ></div>

+ 动画名称：可设置名称内容；
+ 触发方式：可设置不同的触发动作触发动画；
+ 动画类型：可选择不同的动画类型触发动画；
+ 动作类型：可选择不同的动作类型触发动画；
+ 运动方式：可选择不同的运动方式触发动画；
+ 延迟播放：可设置延迟动画多长时间后触发动画；
+ 动画时长：可设置动画的运动时间；
+ 重复播放：可设置重复播放的方式；
+ 重复次数：重复播放 方式选择重复后，可设置重复次数，指改动画重复的次数；
+ 运动行为：可选择不同的运动方式；
+ 结束状态：可选择不同结束状态的方式。