## 基本概念
- **单选框**，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_e10bf50b5c6eba988ebde9103707a3f3_r.png" width="400" ></div>

## 属性说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_5aec276589b13f56816989e5e1250305_r.png" width="400" ></div>

### 组件名称
设置组件名称，用于在图层中显示组件的名称。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_1008f026107ba10b79153a897cfe7908_r.png" width="400" ></div>

### 组件尺寸
设置组件的宽度和高度，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_386c1900d50ee5d09911e2d904e12280_r.png" width="400" ></div>

### 组件位置
设置组件在大屏中的位置，通过横纵坐标来定义，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_609d7332fba03f455f911a330b7072bf_r.png" width="400" ></div>

### 不透明度
设置组件不透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_46b7d9900528965d248e22f65ad59120_r.png" width="400" ></div>

### 旋转
设置组件在图层中的旋转角度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_242150a36adf8923369be3a23a58c969_r.png" width="400" ></div>

### 尺寸
设置复选框为禁用状态，禁用状态后，复选框不可拖拽，不可选中。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_872fb304b360e0fe063b8526bedd2989_r.png" width="400" ></div>

### 选项类型
设置单选框选项类型。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_ebc4b3b14382c3d790b2d249c152f136_r.png" width="400" ></div>

### 选项风格
设置单选框选项风格。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_e30f1a537edbd557e8e0173a22c921da_r.png" width="400" ></div>

### 是否禁用
设置复选框为禁用状态，禁用状态后，单选框不可选中。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_872fb304b360e0fe063b8526bedd2989_r.png" width="400" ></div>

## 样式说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_6380ca8f6d4915f1f41d752be161f440_r.png" width="400" ></div>


### 选中颜色
设置复选框选项的选中颜色。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_1e213cec919cf71a14d9866eca4f7b98_r.png" width="400" ></div>

### 按钮背景色

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_bdc3cac9f8b9d3a0fc3f1f0e67ad068c_r.png" width="400" ></div>

### 文字颜色
设置单选框文字颜色。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_7f5ef379b51494434b2e501591bfa175_r.png" width="400" ></div>


### 单选框大小
设置单选框的边框宽度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_cc9d67faed0b374027f940c1cdcc862e_r.png" width="400" ></div>

### 选中圆点大小
设置单选框选中后的原点大小。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_9a36f44f7cba6cbe42594e113d5694ad_r.png" width="400" ></div>

### 单选框间距
设置单选框选项间的间距。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_60072f4e0c53e0049bcea01ff85c765a_r.png" width="400" ></div>

### 圆点边框大小
设置单选框选项边框宽度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_2b117b0dffe38c1709f1be8f43afe1a3_r.png" width="400" ></div>


### 边框颜色
设置单选框的选择框的颜色。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_fbab16fa559987b24b84982b6f6c6ff3_r.png" width="400" ></div>

### 禁用文字颜色
设置单选框禁用状态的名称颜色。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_73dad529ef1ae70a3bdcadc71e05254e_r.png" width="400" ></div>

### 禁用背景颜色
设置单选框禁用状态的选择框的背景颜色。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_a5e617026ab0c5bd5019b9b586150e37_r.png" width="400" ></div>


## 数据说明
数据结构：描述每一个数字字段的名称、映射、数据类型。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_17b7adc7f1db500604a20fc018eb0ae3_r.png" width="400" ></div>

- 源数据：编辑json格式数据，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_6e9e142cb28929dd2382c06474c5d17c_r.png" width="400" ></div>

## 交互参数说明
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_5e9a582387275f3d61bf37d73137d93f_r.png" width="400" ></div>

+ 显示：设置组件显隐。
+ 位置：设置组件位置。
+ 尺寸：设置组件宽高。
+ 禁用：设置组件禁用状态。
+ 值：修改组件选中数据。

## 交互事件说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_75fe261fde40619772deae2f59fc6ca8_r.png" width="400" ></div>

+ 点击事件：组件点击触发。
+ 位置变更：组件位置发生改变后，触发位置变更。
+ 尺寸变更：组件尺寸发生改变后，触发尺寸变更。
+ 改变事件：组件选中值发生改变后，触发此事件。

## 动画说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_07c85f3ac8c784111905bb6d3e91dcd6_r.png" width="400" ></div>

+ 动画名称：可设置名称内容；
+ 触发方式：可设置不同的触发动作触发动画；
+ 动画类型：可选择不同的动画类型触发动画；
+ 动作类型：可选择不同的动作类型触发动画；
+ 运动方式：可选择不同的运动方式触发动画；
+ 延迟播放：可设置延迟动画多长时间后触发动画；
+ 动画时长：可设置动画的运动时间；
+ 重复播放：可设置重复播放的方式；
+ 重复次数：重复播放 方式选择重复后，可设置重复次数，指改动画重复的次数；
+ 运动行为：可选择不同的运动方式；
+ 结束状态：可选择不同结束状态的方式。