## 基本概念
- **通用标题**，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_878f3a98762bc81bed288ba9dae3ae2c_r.png" width="400" ></div>

## 属性说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_c29278442901c2c789a2b7b8d4a25826_r.png" width="400" ></div>

### 组件名称
设置组件名称，用于在图层中显示组件的名称。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_dbaae37ad05694b5049f8951ed934199_r.png" width="400" ></div>

### 组件尺寸
设置组件的宽度和高度，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_b16e01a2c4d285af27c26e2e09e204df_r.png" width="400" ></div>

### 组件位置
设置组件在大屏中的位置，通过横纵坐标来定义，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_609d7332fba03f455f911a330b7072bf_r.png" width="400" ></div>

### 不透明度
设置组件不透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_e46386b7c59e69d48074fd396fc76c66_r.png" width="400" ></div>

### 旋转
设置组件在图层中的旋转角度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_242150a36adf8923369be3a23a58c969_r.png" width="400" ></div>

### 内容
设置标题显示内容。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_336f3fbe55fe5b46fec729668d2f9077_r.png" width="400" ></div>

### 对齐方式
设置标题文字对齐方式。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_83e59db3b7be4cfb41034a87d29a1819_r.png" width="400" ></div>

### 文字间距
设置标题文字间距。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_66453d7b9178bcd1d4b93d711bb23bf1_r.png" width="400" ></div>

## 样式说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_3a73f925d91fb4cd55edf6573c99379b_r.png" width="400" ></div>

### 字体库
可选择标题文字字体。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_124e0e7134ffc627435c3c2613d625b4_r.png" width="400" ></div>


### 字体大小
可选择或调整标题文字大小。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_98588876ea9dbdf0c7a887c123c5a9cb_r.png" width="400" ></div>

### 字体颜色
设置标题文字颜色与透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_7ed6bb696e07012693073190194c31c9_r.png" width="400" ></div>

### 字体样式
设置标题文字是否为粗体与斜体。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_a0cb7a5c08e90d1b865275ac76d6be25_r.png" width="400" ></div>

### 字体阴影
设置标题文字阴影是否开启。

开启后可设置阴影颜色与阴影大小。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_5a73a28d0fc46dfd65f064bbd94eaf26_r.png" width="400" ></div>

## 数据说明
数据结构：描述每一个数字字段的名称、映射、数据类型。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_9614ec5c5283088ca99be6fea2f7bf57_r.png" width="400" ></div>

- 源数据：编辑json格式数据，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_cc582c3c3a3067c620f5739c650cada1_r.png" width="400" ></div>

## 交互参数说明
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_ec4b82640582e5710b394f0e024efee9_r.png" width="400" ></div>

+ 显示：设置组件显隐。
+ 位置：设置组件位置。
+ 尺寸：设置组件宽高。
+ 文字：设置组件文字。

## 交互事件说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_0876e80b1a9a531d77cdff59842e5ca6_r.png" width="400" ></div>

+ 点击事件：组件点击触发。
+ 位置变更：组件位置发生改变后，触发位置变更。
+ 尺寸变更：组件尺寸发生改变后，触发尺寸变更。

## 动画说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_07c85f3ac8c784111905bb6d3e91dcd6_r.png" width="400" ></div>

+ 动画名称：可设置名称内容；
+ 触发方式：可设置不同的触发动作触发动画；
+ 动画类型：可选择不同的动画类型触发动画；
+ 动作类型：可选择不同的动作类型触发动画；
+ 运动方式：可选择不同的运动方式触发动画；
+ 延迟播放：可设置延迟动画多长时间后触发动画；
+ 动画时长：可设置动画的运动时间；
+ 重复播放：可设置重复播放的方式；
+ 重复次数：重复播放 方式选择重复后，可设置重复次数，指改动画重复的次数；
+ 运动行为：可选择不同的运动方式；
+ 结束状态：可选择不同结束状态的方式。