## 基本概念
- **播放控制器**，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_24c4ba67b4e3ab3d3db5330105cc525a_r.png" width="400" ></div>

## 属性说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_503e6ea2b32b43aab934a211262e4f8f_r.png" width="400" ></div>

### 组件名称
设置组件名称，用于在图层中显示组件的名称。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_c30b7439720820e702b8b704a40af208_r.png" width="400" ></div>

### 组件尺寸
设置组件的宽度和高度，单位为 px

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_b7cc88eb662d79a3bb1c23aff278929b_r.png" width="400" ></div>

### 组件位置
设置组件在大屏中的位置，通过横纵坐标来定义，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_609d7332fba03f455f911a330b7072bf_r.png" width="400" ></div>

### 不透明度
设置组件不透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_46b7d9900528965d248e22f65ad59120_r.png" width="400" ></div>

### 旋转
设置组件在图层中的旋转角度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_242150a36adf8923369be3a23a58c969_r.png" width="400" ></div>

### 播放速度
设置组件的播放速率。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_514b293d81c26c16d5a2ea3645f95f9b_r.png" width="400" ></div>

### 时间范围
设置时间范围，时间范围的起始时间和结束时间是组件的时间范围。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_0e8d9ec1fe37dc7a9bdf1d9fbf249d6e_r.png" width="400" ></div>

### 间隔时长
设置组件每个节点间的时间间隔。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_c8344d4d68ba9d13bdda671e330fc4b8_r.png" width="400" ></div>

### 关键点
设置每个关键点的位置，关键点值越大，每个节点间的间隔就越大。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_b0f3e36ad37a22b814f82962d20c9889_r.png" width="400" ></div>

### 循环播放
设置是否循环播放。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_3bf029c4fd06aa4c2546d80201fe8846_r.png" width="400" ></div>

### 时间格式
设置每个节点文字的显示格式。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_9514a893d6cdbdc2fa7a70d060cb10fc_r.png" width="400" ></div>

## 样式说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_4f4fcd1894b8c3d8bf3a28f28a1e927a_r.png" width="400" ></div>

### 按钮颜色
设置开始和终止按钮的颜色。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_298d3e414d815d560058255e6755685c_r.png" width="400" ></div>

### 标记颜色
设置每个节点的文字颜色。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_ae288260fc8e6bf8b19fc6e15ed7cd50_r.png" width="400" ></div>

### 轴体颜色
设置时间轴的背景颜色。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_626cc477496940c952c93c4bde79cef0_r.png" width="400" ></div>

### 进度颜色
设置时间轴滚动过的背景颜色。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_8b8192e357da6a528140436e99c06417_r.png" width="400" ></div>

### 关键点颜色
设置关键点的背景颜色。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_d9a2969fe79da0b9d2718033a10175a9_r.png" width="400" ></div>

## 数据说明
数据结构：描述每一个数字字段的名称、映射、数据类型。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_e133ca425df72c1c19597dd45c95aed0_r.png" width="400" ></div>

- 源数据：编辑json格式数据，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_ef31abdfc1589b2c71d8e990d3ef2adf_r.png" width="400" ></div>


## 交互参数说明
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_8d305bb81412660f8373f57f54e6f896_r.png" width="400" ></div>

+ 显示：设置组件显隐。
+ 位置：设置组件位置。
+ 尺寸：设置组件宽高。

## 交互事件说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_ae1a9f7159f283db72dffced672a4c72_r.png" width="400" ></div>

+ 点击事件：组件点击触发。
+ 位置变更：组件位置发生改变后，触发位置变更。
+ 尺寸变更：组件尺寸发生改变后，触发尺寸变更。


## 动画说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_07c85f3ac8c784111905bb6d3e91dcd6_r.png" width="400" ></div>

+ 动画名称：可设置名称内容；
+ 触发方式：可设置不同的触发动作触发动画；
+ 动画类型：可选择不同的动画类型触发动画；
+ 动作类型：可选择不同的动作类型触发动画；
+ 运动方式：可选择不同的运动方式触发动画；
+ 延迟播放：可设置延迟动画多长时间后触发动画；
+ 动画时长：可设置动画的运动时间；
+ 重复播放：可设置重复播放的方式；
+ 重复次数：重复播放 方式选择重复后，可设置重复次数，指改动画重复的次数；
+ 运动行为：可选择不同的运动方式；
+ 结束状态：可选择不同结束状态的方式。