## 基本概念
- **数组融合**，指数组融合转换器，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_ba77d6a70891bfb6b03ed343343c9b84_r.png" width="400" ></div>

## 操作方式
+ 使用方式：将转换器左侧对象、右侧对象参数融合成为一个数组。
+ 转换器添加：鼠标左键按下转换器列表下的数组融合转换器，然后拖拽到画布上，鼠标左键抬起，数组融合转换器添加成功。
+ 左侧值：鼠标左键按下组件输出值，连接到转换器左侧值绿色按钮上，左侧值赋值成功。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_3a6b0dd7e5b5738fdf4314d875ddd89a_r.png" width="400" ></div>

+ 右侧值：鼠标左键按下组件输出值，连接到转换器右侧值绿色按钮上，右侧值赋值成功。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_a40684d09d2943c2fecc1bf5a5f6498a_r.png" width="400" ></div>

+ 输出值：鼠标左键按下输入值右侧篮色按钮，连接到赋值组件，组件赋值成功。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_7125a6bd4e3e389d4c0a8f387e92cbdd_r.png" width="400" ></div>

## 属性事件

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_4dc67993b6eca0568d0aacf0c9278dcd_r.png" width="400" ></div>

### 组件类型
组件类型：组件类型不可修改，新数据列表下的组件的组件类型为**数据型组件**，转换器列表下的组件的组件类型为**转换器组件**。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_a0ca322b5316c848108f9ea9d9e7aa8e_r.png" width="400" ></div>

### 转换器名称

转换器名称：修改转换器标题。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_482b43a277c0667c9a18e685168d75f6_r.png" width="400" ></div>

### 转换器类型
转换器类型：不可修改。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_a5648c3c925da454146cf966ba87cb58_r.png" width="400" ></div>

### 组件位置
组件位置：修改转换器在交互视图下的位置。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_52a79736f2b958324f377b4c8e323fc2_r.png" width="400" ></div>

### 转换器描述
转换器描述：描述转换器的作用。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_5d75907285c6965ec0842e4db17062dd_r.png" width="400" ></div>

### 参数列表
参数列表：展示转换器输入值名称、key值、类型、可选项数据。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_6a073f9902a7ec0ec26e35c6aff98699_r.png" width="400" ></div>

### 返回参数
返回参数：展示转换器输出值名称、key值、类型数据。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_34971ceb6e7a43cc197442dcc6562cbd_r.png" width="400" ></div>