## 基本概念
- **自定义**，指自定义转换器。如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_f38370633856482331bff9abd36a56b2_r.png" width="400" ></div>

## 操作方式
+ 使用方式：将组件连接到自定义转换器左侧绿色按钮上，可以配合右侧参数列表添加参数，在自定义代码中输入代码，通过return 返回数值，返回的数值就是自定义转换器的输出值。
+ 转换器添加：鼠标左键按下转换器列表下的自定义转换器，然后拖拽到画布上，鼠标左键抬起，自定义转换器添加成功。
+ 输入值：鼠标左键按下组件输出值，连接到赋值转换器参数左侧绿色按钮。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_e543662a4d5b850f8ccb6f1cb3a394a0_r.png" width="400" ></div>

+ 输出值：鼠标左键按下自定义转换器，连接到赋值组件。组件赋值成功。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_c9705ad49ab66a8e1a0a2caf87780a4d_r.png" width="400" ></div>

## 属性事件

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_c52f16ee807050a6249ca13aa5ed71b7_r.png" width="400" ></div>

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_d080dc740a85baae9a09847dae68cb51_r.png" width="400" ></div>

### 组件类型
组件类型：组件类型不可修改，新数据列表下的组件的组件类型为**数据型组件**，转换器列表下的组件的组件类型为**转换器组件**。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_a0ca322b5316c848108f9ea9d9e7aa8e_r.png" width="400" ></div>

### 转换器名称

转换器名称：修改转换器标题。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_8be2d615ec48da4d650884c5a5ed1521_r.png" width="400" ></div>

### 转换器类型
转换器类型：不可修改。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_189f1fef87e81d7d5323d10984aa1651_r.png" width="400" ></div>

### 组件位置
组件位置：修改组件在交互视图下的位置。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_52a79736f2b958324f377b4c8e323fc2_r.png" width="400" ></div>

### 转换器描述
转换器描述：描述转换器的作用。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_a0ab805358075d2213222b6f90f1b401_r.png" width="400" ></div>

### 参数列表
参数列表：展示转换器输入值名称、key值、类型、可选项数据

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_22b76efb8c621379d2384836669af8a1_r.png" width="400" ></div>

添加：鼠标左键点击添加按钮，弹出弹窗，输入名称、key值、数据类型后，点击确认按钮，参数添加成功。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_a23f1afc3b217e246cbf25f063c8e880_r.png" width="400" ></div>

鼠标左键按下组件右侧蓝色按钮，连接到转换器绿色按钮上，自定义转换器参数可以获取事件的返回值，可以在自定义代码中，使用参数列表添加的参数。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_be63ad4caafe821ddad47ac2ce3fff15_r.png" width="400" ></div>

### 返回参数
返回参数：展示转换器输出值名称、key值、类型数据。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_a6681351864a329b213e9b177bfbaa58_r.png" width="400" ></div>

### 自定义代码
自定义代码：使用JavaScript语言编辑，在代码区域中使用参数列表列表中的key值，可以获取key值参数。
使用方式：如下图：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_ea8792c57193e0905850a453a91bb374_r.png" width="400" ></div>