## 基本概念
- **对象融合**，指对象融合转换器，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_8eb260f062949665889b42545a7744b8_r.png" width="400" ></div>

## 操作方式
+ 使用方式：将转换器左侧对象、右侧对象参数融合成为一个新的对象，通过输出值进行赋值。
+ 转换器添加：鼠标左键按下转换器列表下的对象融合转换器，然后拖拽到画布上，鼠标左键抬起，对象融合转换器添加成功。
+ 左侧对象：鼠标左键按下组件输出值，连接到转换器左侧对象参数绿色按钮上，左侧对象参数赋值成功。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_d672a56c8b2af1cfc4d5038789fb7d89_r.png" width="400" ></div>

+ 右侧对象：鼠标左键按下组件输出值，连接到转换器右侧对象参数绿色按钮上，右侧对象参数赋值成功。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_49af485a4b1f6b05382f8c8c1f397c7c_r.png" width="400" ></div>

+ 输出值：鼠标左键按下加法转换器 输入框右侧篮色按钮，拖拽到赋值组件。组件赋值成功。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_7125a6bd4e3e389d4c0a8f387e92cbdd_r.png" width="400" ></div>

## 属性事件

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_e7bec6a61a1e9c808f0cf4b5d9d22898_r.png" width="400" ></div>

### 组件类型
组件类型：组件类型不可修改，新数据列表下的组件的组件类型为**数据型组件**，转换器列表下的组件的组件类型为**转换器组件**。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_a0ca322b5316c848108f9ea9d9e7aa8e_r.png" width="400" ></div>

### 转换器名称

转换器名称：修改转换器标题。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_1c8718719c7bcf31224718ad7d35c335_r.png" width="400" ></div>

### 转换器类型
转换器类型：不可修改。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_9ef5ae0c66aa9d05d09c4fefd063dd4e_r.png" width="400" ></div>

### 组件位置
组件位置：修改转换器在交互视图下的位置。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_52a79736f2b958324f377b4c8e323fc2_r.png" width="400" ></div>

### 转换器描述
转换器描述：描述转换器的作用。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_5d75907285c6965ec0842e4db17062dd_r.png" width="400" ></div>

### 参数列表
参数列表：展示转换器输入值名称、key值、类型、可选项数据。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_3866acdd256b19ebfa69e60b9a8a67a6_r.png" width="400" ></div>

### 返回参数
返回参数：展示转换器输出值名称、key值、类型数据。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_6fd2454d837612378f1a1aab65d7f491_r.png" width="400" ></div>