## 基本概念
- **数组**，数组是一种线性数据结构，可以存储相同类型的多个元素，这些元素通过索引进行访问。如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_37af917f58c41d2bf0c04d972789b09b_r.png" width="400" ></div>

## 操作方式
+ 数据添加：鼠标左键按下新数据列表下的数组，然后拖拽到画布上，鼠标左键抬起，数组数据添加成功。
+ 使用方式：数组数据默认值是一个数组类型数据，可以在属性事件中修改默认值，通过转换器右侧蓝色按钮连接到想要赋值的组件。
+ 右侧蓝色按钮：鼠标左键按下右侧蓝色按钮，连接到想要赋值的组件属性上，数组数据赋值给组件属性，组件属性赋值成功。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_11196c0b8a4b0938128bd7116e496215_r.png" width="400" ></div>

+ 左侧绿色按钮：鼠标左键按下自定义组件的右侧蓝色按钮，连接到数组数据左侧绿色按钮，数组数据更新成功。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_50d2e6a6c6aa104c0bb7e216c5db2a7c_r.png" width="400" ></div>

## 属性事件

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_5df76dd870dba1c95fb3b8b87aac7a44_r.png" width="400" ></div>

### 组件类型
组件类型：组件类型不可修改，新数据列表下的组件的组件类型为**数据型组件**，转换器列表下的组件的组件类型为**转换器组件**。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_90fce82b6da497a1eb363d0dc582881c_r.png" width="400" ></div>

### 组件名称

组件名称：修改数组数据标题。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_b758e0e3a7a31c396d938084c02d0fb8_r.png" width="400" ></div>

### 数据类型
数据类型：不可修改。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_4ec35f456b4ce9a20a0b630b89ded341_r.png" width="400" ></div>

### 组件位置
组件位置：修改组件在交互视图下的位置。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_52a79736f2b958324f377b4c8e323fc2_r.png" width="400" ></div>

### 默认值
默认值：修改JSON数据的默认值。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_9b31b9b9bbee1cde9d51e1dc48922560_r.png" width="400" ></div>