## 基本概念
- **布尔**，指布尔数据，布尔值是逻辑值的一种表示，只有“真”（True）或“假”（False）两个取值。如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_f275c285195c1bcdbd37b6fcfbde6a3b_r.png" width="400" ></div>

## 操作方式
+ 数据添加：鼠标左键按下新数据列表下的字符，然后拖拽到画布上，鼠标左键抬起，字符数据添加成功。
+ 使用方式：布尔数据默认值是一个Boolean类型数据，可以在属性事件中修改默认值，通过转换器右侧蓝色按钮连接到想要赋值的组件。
+ 右侧蓝色按钮：鼠标左键按下右侧蓝色按钮，连接到想要赋值的组件属性上，布尔型数据赋值给组件属性，组件属性赋值成功。
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_6f012df0c9b74d707c3052d6a01223af_r.png" width="400" ></div>

+ 左侧绿色按钮：鼠标左键按下通过组件右侧，连接到布尔型数据左侧绿色按钮，布尔型数据更新成功。
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_0279af45649e1620bd7cd5f6b492ea5c_r.png" width="400" ></div>

## 属性事件

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_a6c30b386334a6f719b6a99a62ed3bfb_r.png" width="400" ></div>

### 组件类型
组件类型：组件类型不可修改，新数据列表下的组件的组件类型为**数据型组件**，转换器列表下的组件的组件类型为**转换器组件**。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_90fce82b6da497a1eb363d0dc582881c_r.png" width="400" ></div>

### 组件名称

组件名称：修改布尔型数据标题

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_2c975e185fd7e2f8c5e0cea24761dc10_r.png" width="400" ></div>

### 数据类型
数据类型：不可修改。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_40d1b82870f7a5a144e4ec13da9c0408_r.png" width="400" ></div>


### 组件位置
组件位置：修改组件在交互视图下的位置。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_52a79736f2b958324f377b4c8e323fc2_r.png" width="400" ></div>

### 默认值
默认值：修改布尔型数据的默认值

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_6c972d2e60e9aced5eb435e670fb9fc4_r.png" width="400" ></div>