## 基本概念
- **浮点**，指浮点型数据，浮点数利用指数使小数点的位置可以根据需要而上下浮动，从而可以灵活地表达更大范围的实数。如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_dec54e7bbea4a0fc63d5939f8057b75a_r.png" width="400" ></div>

## 操作方式
+ 数据添加：鼠标左键按下新数据列表下的浮点，然后拖拽到画布上，鼠标左键抬起，浮点型数据添加成功。
+ 使用方式：浮点数据默认值是一个float类型数据，可以在属性事件中修改默认值，通过转换器右侧蓝色按钮连接到想要赋值的组件。
+ 右侧蓝色按钮：鼠标左键按下右侧蓝色按钮，连接到想要赋值的组件数值上，浮点型数据赋值给组件数值，组件数值赋值成功。
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_c0b9aa3b277dc43863c232e910e495a8_r.png" width="400" ></div>

+ 左侧绿色按钮：鼠标左键按下通过组件右侧，连接到布尔型数据左侧绿色按钮，浮点型数据更新成功。
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_33d68a46759212f4525810be2373b172_r.png" width="400" ></div>

## 属性事件

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_8a6fe84fa548a307bbaf7d96151bca96_r.png" width="400" ></div>

### 组件类型
组件类型：组件类型不可修改，新数据列表下的组件的组件类型为**数据型组件**，转换器列表下的组件的组件类型为**转换器组件**。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_90fce82b6da497a1eb363d0dc582881c_r.png" width="400" ></div>

### 组件名称

组件名称：修改浮点型数据标题。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_362f0d017ee4a7ecc0ed77a5d3ca1420_r.png" width="400" ></div>

### 数据类型
数据类型：不可修改。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_0070e0a0e3a0248a0102825809bfabce_r.png" width="400" ></div>

### 组件位置
组件位置：修改浮点型数据在交互视图下的位置。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_52a79736f2b958324f377b4c8e323fc2_r.png" width="400" ></div>

### 默认值
默认值：修改浮点型数据的默认值。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_6f73755e1837c787f6ca913f59eca3d0_r.png" width="400" ></div>