## 基本概念
- **JSON数据**，JSON是一种轻量级的数据交换格式。它基于ECMAScript的一个子集设计，易于人类阅读和编写，同时也便于机器解析和生成。如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_87e594d0f88c069d984185d8b0b80c99_r.png" width="400" ></div>

## 操作方式
+ 数据添加：鼠标左键按下新数据列表下的JSON数据，然后拖拽到画布上，鼠标左键抬起，JSON数据添加成功。
+ 使用方式：整型数据默认值是一个json类型数据，可以在属性事件中修改默认值，通过转换器右侧蓝色按钮连接到想要赋值的组件。
+ 右侧蓝色按钮：鼠标左键按下右侧蓝色按钮，拖拽到想要赋值的组件属性上，JSON数据赋值给组件属性，组件属性赋值成功。
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_28bd2571b718d608516315d854c0a151_r.png" width="400" ></div>

+ 左侧绿色按钮：鼠标左键按下自定义组件的右侧蓝色按钮，拖拽到JSON数据左侧绿色按钮，JSON数据更新成功。
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_50d2e6a6c6aa104c0bb7e216c5db2a7c_r.png" width="400" ></div>

## 属性事件

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_681719a34d0dc63db4d77c689766cec0_r.png" width="400" ></div>

### 组件类型
组件类型：组件类型不可修改，新数据列表下的组件的组件类型为**数据型组件**，转换器列表下的组件的组件类型为**转换器组件**。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_90fce82b6da497a1eb363d0dc582881c_r.png" width="400" ></div>

### 组件名称

组件名称：修改JSON数据标题。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_b758e0e3a7a31c396d938084c02d0fb8_r.png" width="400" ></div>

### 数据类型
数据类型：不可修改。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_4ec35f456b4ce9a20a0b630b89ded341_r.png" width="400" ></div>

### 组件位置
组件位置：修改组件在交互视图下的位置。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_52a79736f2b958324f377b4c8e323fc2_r.png" width="400" ></div>

### 默认值
默认值：修改JSON数据的默认值。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_9b31b9b9bbee1cde9d51e1dc48922560_r.png" width="400" ></div>