## 基本概念
- **登录**，支持设置账号密码列表，用于触发组件登录事件，属隐形配置型组件，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_86140632dc8f06a3844791070bb5d3d6_r.png" width="400" ></div>

## 属性说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_649d3513dfe2b5957fd29371555babde_r.png" width="400" ></div>

### 组件名称
设置组件名称，用于在图层中显示组件的名称。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_aaf4fa5d002663917557c42e827973f9_r.png" width="400" ></div>

### 组件尺寸
设置组件的宽度和高度，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_885e203ec16216e75397b579fab63c52_r.png" width="400" ></div>

### 组件位置
设置组件在大屏中的位置，通过横纵坐标来定义，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_609d7332fba03f455f911a330b7072bf_r.png" width="400" ></div>

### 不透明度
设置组件不透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_46b7d9900528965d248e22f65ad59120_r.png" width="400" ></div>

### 旋转
设置组件在图层中的旋转角度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_242150a36adf8923369be3a23a58c969_r.png" width="400" ></div>

### 账号列表
设置账号列表。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_6d97142396d8f5a2cea580c17422950d_r.png" width="400" ></div>

## 交互参数说明
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_13c6691451c4c9b33095301afd9e5842_r.png" width="400" ></div>

+ 显示：设置登录组件显隐。
+ 位置：设置登录组件位置。
+ 尺寸：设置登录组件宽高。
+ 账号：设置登录组件账号。
+ 密码：设置登录组件密码。
+ 触发登陆：此属性发生改变后，触发登陆成功、登陆失败事件。


## 交互事件说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_389fd8c0521d6b2eda2cae5de1d389c7_r.png" width="400" ></div>

+ 点击事件：登录组件点击触发。
+ 位置变更：登录组件位置发生改变后，触发位置变更。
+ 尺寸变更：登录组件尺寸发生改变后，触发尺寸变更。
+ 登陆成功：登录组件尺寸发生改变后，通过账号列表过滤 账号、密码，如果账号密码成功，触发此事件。
+ 登陆失败：登录组件尺寸发生改变后，通过账号列表过滤 账号、密码，如果账号密码失败，触发此事件。

## 动画说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_07c85f3ac8c784111905bb6d3e91dcd6_r.png" width="400" ></div>

+ 动画名称：可设置名称内容；
+ 触发方式：可设置不同的触发动作触发动画；
+ 动画类型：可选择不同的动画类型触发动画；
+ 动作类型：可选择不同的动作类型触发动画；
+ 运动方式：可选择不同的运动方式触发动画；
+ 延迟播放：可设置延迟动画多长时间后触发动画；
+ 动画时长：可设置动画的运动时间；
+ 重复播放：可设置重复播放的方式；
+ 重复次数：重复播放 方式选择重复后，可设置重复次数，指改动画重复的次数；
+ 运动行为：可选择不同的运动方式；
+ 结束状态：可选择不同结束状态的方式。