## 基本概念
- **区域限制**，用于配置三维地球组件内的显示区域，属隐形配置型组件。如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_c996e3fb74be65acce7bb03a45d9408e_r.png" width="400" ></div>

## 属性说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_6178eb97570210efde6d50dae8391801_r.png" width="400" ></div>

### 组件名称
设置组件名称，用于在图层中显示组件的名称。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_cc52b52c8a38f4bc75b9218dd1c94610_r.png" width="400" ></div>

### 组件尺寸
设置组件的宽度和高度，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_e91df05734681fe538a2bd42675e2ef1_r.png" width="400" ></div>

### 组件位置
设置组件在大屏中的位置，通过横纵坐标来定义，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_609d7332fba03f455f911a330b7072bf_r.png" width="400" ></div>

### 旋转
设置组件在图层中的旋转角度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_242150a36adf8923369be3a23a58c969_r.png" width="400" ></div>

### 不透明度
设置组件不透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_1559fe451094ca5c698172c682a3f2c9_r.png" width="400" ></div>

### 三维地球
选择区域限制的数据作用的地图组件。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_3fd5d6c71a609d083bc8b22fafb59d5a_r.png" width="400" ></div>

### 区域数据
支持本地文件、Web地址两种方式添加数据。
本地文件：上传数据，数据格式为json格式数据，上传完成后，点击确认按钮后，区域数据添加成功。
web地址：输入数据地址，点击确认按钮后，区域数据添加成功。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_24385150415c07bd2d8ad36a127a54d6_r.png" width="400" ></div>

### 开启
设置区域限制组件是否作用于三维地球组件。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_af68ec04b6108ef357c22fb2f2239544_r.png" width="400" ></div>

### 飞行至
设置是否开启飞行至区域限制数据的位置 。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_fb02b79909eb4bcc0377eef7d5438acd_r.png" width="400" ></div>

## 样式说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_39f3882590b131f5c86af63859429c4c_r.png" width="400" ></div>

### 边界样式
设置边界样式。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_1c2b14924a1928943efd0b89b0dea55d_r.png" width="400" ></div>

## 交互参数说明
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_92f8a5170ae487f3280c077c93d3575f_r.png" width="400" ></div>

+ 显示：设置组件显隐。
+ 位置：设置组件位置。
+ 尺寸：设置组件宽高。
+ 数据：设置组件数据。
+ 开启：设置组件数据的开启关闭。

## 交互事件说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_cd90ba675fdef99802751dd46ad37940_r.png" width="400" ></div>

+ 点击事件：组件点击触发。
+ 位置变更：组件位置发生改变后，触发位置变更。
+ 尺寸变更：组件尺寸发生改变后，触发尺寸变更。
+ stateChanged：组件数据显隐改变后，触发此事件。


## 动画说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_07c85f3ac8c784111905bb6d3e91dcd6_r.png" width="400" ></div>

+ 动画名称：可设置名称内容；
+ 触发方式：可设置不同的触发动作触发动画；
+ 动画类型：可选择不同的动画类型触发动画；
+ 动作类型：可选择不同的动作类型触发动画；
+ 运动方式：可选择不同的运动方式触发动画；
+ 延迟播放：可设置延迟动画多长时间后触发动画；
+ 动画时长：可设置动画的运动时间；
+ 重复播放：可设置重复播放的方式；
+ 重复次数：重复播放 方式选择重复后，可设置重复次数，指改动画重复的次数；
+ 运动行为：可选择不同的运动方式；
+ 结束状态：可选择不同结束状态的方式。